#delimit;
clear all;
clear matrix;
clear mata;
clear results;
cd C:\Gabriel\JOPS1\EXTENSIVE\Peticiones;
set more off;
capture log close;
log using salidas.log, replace;
set mem 10000m;
set matsize 11000;
set maxvar 20000;
sysdir set PLUS C:\STATA\;

***************************************************************************;
********************************************************************TABLE 1;
***************************************************************************;
use T0_summary_FS.dta, clear;
tabstat  granting ir gdp cpi b_own_funds_ratio_levels b_own_funds_ratio b_ln_assets b_liquidity_ratio b_roa  b_doubtful_ratio b_commercial_bank b_savings_bank firm_risk_l5 firm_risk firm_risk_l3 firm_risk_l2 firm_risk_l1 , stat(n mean min p25 median p75 max sd) nosep c(s);
use T0_summary_SS.dta, clear;
tabstat  credit ln_credit no_collateral future_default , stat(n mean min p25 median p75 max sd) nosep c(s);
***************************************************************************;
********************************************************************TABLE 2;
***************************************************************************;
********************************;
********************FIRST STAGE;
********************************;
use english_T1_C1_C2_C3_FS.dta, clear;
foreach y in  granting ln_assets   ln_age   own_funds_ratio   ln_num_relationships   roa    firm_risk   ir_firmrisk   gdp_firmrisk   cpi_firmrisk   b_own_funds_ratio   b_liquidity_ratio   b_roa   b_ln_assets   b_doubtful_ratio b_commercial_bank b_savings_bank {;
  egen m_`y'=mean(`y')  , by(id_province id_sector id_month);
  gen u=1;
  egen m2_`y'=mean(`y') , by(u);
  replace `y'=`y'-m_`y'+m2_`y' ;
  drop u m2_* m_*;
};
forvalues y=1/149{;
  egen m_id_bank_`y'=mean(id_bank_`y') , by(id_province id_sector id_month);
  gen u=1;
  egen m2_id_bank_`y'=mean(id_bank_`y'), by(u);
  replace id_bank_`y'=id_bank_`y'-m_id_bank_`y'+m2_id_bank_`y';
  drop u m2_* m_*;
};
	**COLUMN 1**;
cgmreg  granting ln_assets   ln_age   own_funds_ratio   ln_num_relationships   roa    firm_risk                                               b_own_funds_ratio   b_liquidity_ratio   b_roa   b_ln_assets   b_doubtful_ratio b_commercial_bank b_savings_bank                       ,cluster(id_firm id_month id_bank);
	**COLUMN 2**;
cgmreg  granting ln_assets   ln_age   own_funds_ratio   ln_num_relationships   roa    firm_risk   ir_firmrisk   gdp_firmrisk   cpi_firmrisk   b_own_funds_ratio   b_liquidity_ratio   b_roa   b_ln_assets   b_doubtful_ratio b_commercial_bank b_savings_bank                       ,cluster(id_firm id_month id_bank);
	**COLUMN 3**;
cgmreg  granting ln_assets   ln_age   own_funds_ratio   ln_num_relationships   roa    firm_risk   ir_firmrisk   gdp_firmrisk   cpi_firmrisk   b_own_funds_ratio   b_liquidity_ratio   b_roa   b_ln_assets   b_doubtful_ratio                                   id_bank_2-id_bank_149,cluster(id_firm id_month id_bank);
	**COLUMN 4**;
use english_T1_C4_FS.dta, clear;
foreach y in  granting firm_risk    ir_firmrisk   ir_fr_bof     b_own_funds_ratio   ir_bof   bof_firmrisk     gdp_bof   gdp_firmrisk   gdp_bof_firmrisk   cpi_bof   cpi_firmrisk   cpi_bof_fr    b_liquidity_ratio   b_roa   b_ln_assets   b_doubtful_ratio      blr_firmrisk      broa_firmrisk       bln_firmrisk      bdr_firmrisk      bcb_firmrisk     bsb_firmrisk       ir_blr       ir_broa       ir_bln        ir_bdr      ir_bcb     ir_bsb        ir_blr_fr         ir_broa_fr       ir_bln_fr       ir_bdr_fr     ir_bcb_fr     ir_bsb_fr{;
  egen m_`y'=mean(`y')  , by(id_firm);
  gen u=1;
  egen m2_`y'=mean(`y') , by(u);
  replace `y'=`y'-m_`y'+m2_`y' ;
  drop u m2_* m_*;
};
forvalues y=1/155{;
  egen m_cod_enti_`y'=mean(cod_enti_`y') , by(id_firm);
  gen u=1;
  egen m2_cod_enti_`y'=mean(cod_enti_`y'), by(u);
  replace cod_enti_`y'=cod_enti_`y'-m_cod_enti_`y'+m2_cod_enti_`y';
  drop u m2_* m_*;
};
forvalues y=1/83{;
  egen m_cod_m_`y'=mean(cod_m_`y') , by(id_firm);
  gen u=1;
  egen m2_cod_m_`y'=mean(cod_m_`y'), by(u);
  replace cod_m_`y'=cod_m_`y'-m_cod_m_`y'+m2_cod_m_`y';
  drop u m2_* m_*;
};
xi: cgmreg  granting   firm_risk    ir_firmrisk   ir_fr_bof     b_own_funds_ratio   ir_bof   bof_firmrisk     gdp_bof   gdp_firmrisk   gdp_bof_firmrisk   cpi_bof   cpi_firmrisk   cpi_bof_fr    b_liquidity_ratio   b_roa   b_ln_assets   b_doubtful_ratio      blr_firmrisk      broa_firmrisk       bln_firmrisk      bdr_firmrisk      bcb_firmrisk     bsb_firmrisk       ir_blr       ir_broa       ir_bln        ir_bdr      ir_bcb     ir_bsb        ir_blr_fr         ir_broa_fr       ir_bln_fr       ir_bdr_fr     ir_bcb_fr     ir_bsb_fr  cod_enti_2-cod_enti_155 cod_m_2-cod_m_83 , cluster( id_firm id_bank  id_month);	  
	**COLUMN 5**;
use english_T1_C5_FS.dta, clear;																							
foreach y in  granting ir_fr_bof   b_own_funds_ratio   ir_bof   bof_firmrisk   gdp_bof    gdp_bof_firmrisk   cpi_bof   cpi_bof_fr   b_liquidity_ratio   b_roa   b_ln_assets   b_doubtful_ratio      blr_firmrisk      broa_firmrisk       bln_firmrisk      bdr_firmrisk      bcb_firmrisk     bsb_firmrisk       ir_blr       ir_broa       ir_bln        ir_bdr      ir_bcb     ir_bsb        ir_blr_fr         ir_broa_fr       ir_bln_fr       ir_bdr_fr     ir_bcb_fr     ir_bsb_fr{;
  egen m_`y'=mean(`y')  , by(id_firm_month);
  gen u=1;
  egen m2_`y'=mean(`y') , by(u);
  replace `y'=`y'-m_`y'+m2_`y' ;
  drop u m2_* m_*;
};
forvalues y=1/155{;
  egen m_cod_enti_`y'=mean(cod_enti_`y') , by(id_firm_month);
  gen u=1;
  egen m2_cod_enti_`y'=mean(cod_enti_`y'), by(u);
  replace cod_enti_`y'=cod_enti_`y'-m_cod_enti_`y'+m2_cod_enti_`y';
  drop u m2_* m_*;
}; 
xi: cgmreg  granting ir_fr_bof   b_own_funds_ratio   ir_bof   bof_firmrisk   gdp_bof    gdp_bof_firmrisk   cpi_bof   cpi_bof_fr   b_liquidity_ratio   b_roa   b_ln_assets   b_doubtful_ratio      blr_firmrisk      broa_firmrisk       bln_firmrisk      bdr_firmrisk      bcb_firmrisk     bsb_firmrisk       ir_blr       ir_broa       ir_bln        ir_bdr      ir_bcb     ir_bsb        ir_blr_fr         ir_broa_fr       ir_bln_fr       ir_bdr_fr     ir_bcb_fr     ir_bsb_fr cod_enti_2-cod_enti_155 , cluster(id_firm id_bank  id_month);	  
	**COLUMN 6**;
use english_T1_C6_FS.dta, clear;																							
foreach y in granting ir_fr_bof  bof_firmrisk    gdp_bof_firmrisk   cpi_bof_fr   blr_firmrisk      broa_firmrisk       bln_firmrisk      bdr_firmrisk      bcb_firmrisk     bsb_firmrisk          ir_blr_fr         ir_broa_fr       ir_bln_fr       ir_bdr_fr     ir_bcb_fr     ir_bsb_fr{;
  egen m_`y'=mean(`y')  , by(id_firm_month);
  gen u=1;
  egen m2_`y'=mean(`y') , by(u);
  replace `y'=`y'-m_`y'+m2_`y' ;
  drop u m2_* m_*;
};
forvalues y=1/6856{;
  egen m_cod_bm_`y'=mean(cod_bm_`y') , by(id_firm_month);
  gen u=1;
  egen m2_cod_bm_`y'=mean(cod_bm_`y'), by(u);
  replace cod_bm_`y'=cod_bm_`y'-m_cod_bm_`y'+m2_cod_bm_`y';
  drop u m2_* m_*;
}; 
  xi: cgmreg  granting ir_fr_bof  bof_firmrisk    gdp_bof_firmrisk   cpi_bof_fr   blr_firmrisk      broa_firmrisk       bln_firmrisk      bdr_firmrisk      bcb_firmrisk     bsb_firmrisk          ir_blr_fr         ir_broa_fr       ir_bln_fr       ir_bdr_fr     ir_bcb_fr     ir_bsb_fr   cod_bm_2-cod_bm_6856 , cluster(id_firm id_bank id_month);	  
********************************;
********************SECOND STAGE;
********************************;
	**COLUMN 1**;
use english_T1_C1_SS.dta, clear;
gen kernel=sqrt(abs(normalden(Y_beta1/.09693126))/((t-1)*.09693126));
qui foreach x in ln_credit ln_assets   ln_age   own_funds_ratio   ln_num_relationships   roa    firm_risk b_own_funds_ratio   b_liquidity_ratio   b_roa   b_ln_assets   b_doubtful_ratio b_commercial_bank b_savings_bank{;
  gen z_`x'=`x'*kernel;
};
qui cgmreg z_ln_credit  z_ln_assets   z_ln_age   z_own_funds_ratio   z_ln_num_relationships   z_roa    z_firm_risk z_b_own_funds_ratio   z_b_liquidity_ratio   z_b_roa   z_b_ln_assets   z_b_doubtful_ratio z_b_commercial_bank z_b_savings_bank, cluster(id_firm id_bank id_month);
matrix b1=e(b)';
matrix V=e(V);
mata: VV=st_matrix("V");
mata: SE=diagonal (VV):^.5;
mata: st_matrix("SE",SE);
replace kernel=sqrt(abs(normalden(Y_beta1/.42434529))/((t-1)*.42434529));
qui foreach x in ln_credit ln_assets   ln_age   own_funds_ratio   ln_num_relationships   roa    firm_risk b_own_funds_ratio   b_liquidity_ratio   b_roa   b_ln_assets   b_doubtful_ratio b_commercial_bank b_savings_bank{;
  replace z_`x'=`x'*kernel;
};
qui reg z_ln_credit  z_ln_assets   z_ln_age   z_own_funds_ratio   z_ln_num_relationships   z_roa    z_firm_risk z_b_own_funds_ratio   z_b_liquidity_ratio   z_b_roa   z_b_ln_assets   z_b_doubtful_ratio z_b_commercial_bank z_b_savings_bank;
matrix b2=e(b)';
matrix B=(b1-b2*.05217819)/(1-(.05217819));
mata: B=st_matrix("B");
mata: t=B:/SE;
mata: pvalue=2:*(1:-normal(abs(t)));
mata: z=invnormal(.05/2);
mata: cii=B:+z:*SE;
mata: cis=B:-z:*SE;
mata: st_matrix("t",t);
mata: st_matrix("pvalue",pvalue);
matrix table= (B, SE,t,pvalue);
matrix C= table[1..6,.];
matrix list C;
	**COLUMN 2**;
use english_T1_C2_SS.dta, clear;
gen kernel=sqrt(abs(normalden(Y_beta1/.09693126))/((t-1)*.09693126));
qui foreach x in ln_credit ln_assets   ln_age   own_funds_ratio   ln_num_relationships   roa    firm_risk ir_firmrisk   gdp_firmrisk   cpi_firmrisk b_own_funds_ratio   b_liquidity_ratio   b_roa   b_ln_assets   b_doubtful_ratio b_commercial_bank b_savings_bank{;
  gen z_`x'=`x'*kernel;
};
qui cgmreg z_ln_credit  z_ln_assets   z_ln_age   z_own_funds_ratio   z_ln_num_relationships   z_roa    z_firm_risk z_ir_firmrisk   z_gdp_firmrisk   z_cpi_firmrisk z_b_own_funds_ratio   z_b_liquidity_ratio   z_b_roa   z_b_ln_assets   z_b_doubtful_ratio z_b_commercial_bank z_b_savings_bank, cluster(id_firm id_bank id_month);
matrix b1=e(b)';
matrix V=e(V);
mata: VV=st_matrix("V");
mata: SE=diagonal (VV):^.5;
mata: st_matrix("SE",SE);
replace kernel=sqrt(abs(normalden(Y_beta1/.42434529))/((t-1)*.42434529));
qui foreach x in ln_credit ln_assets   ln_age   own_funds_ratio   ln_num_relationships   roa    firm_risk ir_firmrisk   gdp_firmrisk   cpi_firmrisk b_own_funds_ratio   b_liquidity_ratio   b_roa   b_ln_assets   b_doubtful_ratio b_commercial_bank b_savings_bank{;
  replace z_`x'=`x'*kernel;
};
qui reg z_ln_credit  z_ln_assets   z_ln_age   z_own_funds_ratio   z_ln_num_relationships   z_roa    z_firm_risk z_ir_firmrisk   z_gdp_firmrisk   z_cpi_firmrisk z_b_own_funds_ratio   z_b_liquidity_ratio   z_b_roa   z_b_ln_assets   z_b_doubtful_ratio z_b_commercial_bank z_b_savings_bank;
matrix b2=e(b)';
matrix B=(b1-b2*.05217818)/(1-(.05217818));
mata: B=st_matrix("B");
mata: t=B:/SE;
mata: pvalue=2:*(1:-normal(abs(t)));
mata: z=invnormal(.05/2);
mata: cii=B:+z:*SE;
mata: cis=B:-z:*SE;
mata: st_matrix("t",t);
mata: st_matrix("pvalue",pvalue);
matrix table= (B, SE,t,pvalue);
matrix C= table[1..7,.];
matrix list C;
	**COLUMN 3**;
use english_T1_C3_SS.dta, clear;
gen kernel=sqrt(abs(normalden(Y_beta1/.11631751))/((t-1)*.11631751));
qui foreach x in ln_credit ln_assets   ln_age   own_funds_ratio   ln_num_relationships   roa    firm_risk ir_firmrisk   gdp_firmrisk   cpi_firmrisk b_own_funds_ratio   b_liquidity_ratio   b_roa   b_ln_assets   b_doubtful_ratio {;
  gen z_`x'=`x'*kernel;
};
qui forvalues x=1/149{;
  gen z_cod_enti_`x'=cod_enti_`x'*kernel;
};
qui cgmreg z_ln_credit  z_ln_assets   z_ln_age   z_own_funds_ratio   z_ln_num_relationships   z_roa    z_firm_risk z_ir_firmrisk   z_gdp_firmrisk   z_cpi_firmrisk z_b_own_funds_ratio   z_b_liquidity_ratio   z_b_roa   z_b_ln_assets   z_b_doubtful_ratio z_cod_enti_2-z_cod_enti_149, cluster(id_firm id_bank id_month);
matrix b1=e(b)';
matrix V=e(V);
mata: VV=st_matrix("V");
mata: SE=diagonal (VV):^.5;
mata: st_matrix("SE",SE);
replace kernel=sqrt(abs(normalden(Y_beta1/.50921435))/((t-1)*.50921435));
qui foreach x in ln_credit ln_assets   ln_age   own_funds_ratio   ln_num_relationships   roa    firm_risk ir_firmrisk   gdp_firmrisk   cpi_firmrisk b_own_funds_ratio   b_liquidity_ratio   b_roa   b_ln_assets   b_doubtful_ratio {;
  replace z_`x'=`x'*kernel;
};
qui forvalues x=1/149{;
  replace z_cod_enti_`x'=cod_enti_`x'*kernel;
};
qui reg z_ln_credit  z_ln_assets   z_ln_age   z_own_funds_ratio   z_ln_num_relationships   z_roa    z_firm_risk z_ir_firmrisk   z_gdp_firmrisk   z_cpi_firmrisk z_b_own_funds_ratio   z_b_liquidity_ratio   z_b_roa   z_b_ln_assets   z_b_doubtful_ratio z_cod_enti_2-z_cod_enti_149;
matrix b2=e(b)';
matrix B=(b1-b2*.05217818)/(1-(.05217818));
mata: B=st_matrix("B");
mata: t=B:/SE;
mata: pvalue=2:*(1:-normal(abs(t)));
mata: z=invnormal(.05/2);
mata: cii=B:+z:*SE;
mata: cis=B:-z:*SE;
mata: st_matrix("t",t);
mata: st_matrix("pvalue",pvalue);
matrix table= (B, SE,t,pvalue);
matrix C= table[1..12,.];
matrix list C;
	**COLUMN 4**;
use english_T1_C4_SS.dta, clear;
gen kernel=sqrt(abs(normalden(Y_beta1/.09341399))/((t-1)*.09341399));
qui foreach x in ln_credit firm_risk    ir_firmrisk   ir_fr_bof     b_own_funds_ratio   ir_bof   bof_firmrisk     gdp_bof   gdp_firmrisk   gdp_bof_firmrisk   cpi_bof   cpi_firmrisk   cpi_bof_fr    b_liquidity_ratio   b_roa   b_ln_assets   b_doubtful_ratio      blr_firmrisk      broa_firmrisk       bln_firmrisk      bdr_firmrisk      bcb_firmrisk     bsb_firmrisk       ir_blr       ir_broa       ir_bln        ir_bdr      ir_bcb     ir_bsb        ir_blr_fr         ir_broa_fr       ir_bln_fr       ir_bdr_fr     ir_bcb_fr     ir_bsb_fr{;
  gen z_`x'=`x'*kernel;
};
qui forvalues x=1/155{;
  gen z_cod_enti_`x'=cod_enti_`x'*kernel;
};
qui forvalues x=1/83{;
  gen z_cod_m_`x'=cod_m_`x'*kernel;
};
qui cgmreg z_ln_credit  z_firm_risk    z_ir_firmrisk   z_ir_fr_bof     z_b_own_funds_ratio   z_ir_bof   z_bof_firmrisk     z_gdp_bof   z_gdp_firmrisk   z_gdp_bof_firmrisk   z_cpi_bof   z_cpi_firmrisk   z_cpi_bof_fr    z_b_liquidity_ratio   z_b_roa   z_b_ln_assets   z_b_doubtful_ratio      z_blr_firmrisk      z_broa_firmrisk       z_bln_firmrisk      z_bdr_firmrisk      z_bcb_firmrisk     z_bsb_firmrisk       z_ir_blr       z_ir_broa       z_ir_bln        z_ir_bdr      z_ir_bcb     z_ir_bsb        z_ir_blr_fr         z_ir_broa_fr       z_ir_bln_fr       z_ir_bdr_fr     z_ir_bcb_fr     z_ir_bsb_fr z_cod_enti_2-z_cod_enti_155 z_cod_m_2-z_cod_m_83 , cluster(id_firm id_bank id_month);
matrix b1=e(b)';
matrix V=e(V);
mata: VV=st_matrix("V");
mata: SE=diagonal (VV):^.5;
mata: st_matrix("SE",SE);
replace kernel=sqrt(abs(normalden(Y_beta1/.09524385))/((t-1)*.09524385));
qui foreach x in ln_credit firm_risk    ir_firmrisk   ir_fr_bof     b_own_funds_ratio   ir_bof   bof_firmrisk     gdp_bof   gdp_firmrisk   gdp_bof_firmrisk   cpi_bof   cpi_firmrisk   cpi_bof_fr    b_liquidity_ratio   b_roa   b_ln_assets   b_doubtful_ratio      blr_firmrisk      broa_firmrisk       bln_firmrisk      bdr_firmrisk      bcb_firmrisk     bsb_firmrisk       ir_blr       ir_broa       ir_bln        ir_bdr      ir_bcb     ir_bsb        ir_blr_fr         ir_broa_fr       ir_bln_fr       ir_bdr_fr     ir_bcb_fr     ir_bsb_fr{;
  replace z_`x'=`x'*kernel;
};
qui forvalues x=1/155{;
  replace z_cod_enti_`x'=cod_enti_`x'*kernel;
};
qui forvalues x=1/83{;
  replace z_cod_m_`x'=cod_m_`x'*kernel;
};
qui reg z_ln_credit  z_firm_risk    z_ir_firmrisk   z_ir_fr_bof     z_b_own_funds_ratio   z_ir_bof   z_bof_firmrisk     z_gdp_bof   z_gdp_firmrisk   z_gdp_bof_firmrisk   z_cpi_bof   z_cpi_firmrisk   z_cpi_bof_fr    z_b_liquidity_ratio   z_b_roa   z_b_ln_assets   z_b_doubtful_ratio      z_blr_firmrisk      z_broa_firmrisk       z_bln_firmrisk      z_bdr_firmrisk      z_bcb_firmrisk     z_bsb_firmrisk       z_ir_blr       z_ir_broa       z_ir_bln        z_ir_bdr      z_ir_bcb     z_ir_bsb        z_ir_blr_fr         z_ir_broa_fr       z_ir_bln_fr       z_ir_bdr_fr     z_ir_bcb_fr     z_ir_bsb_fr z_cod_enti_2-z_cod_enti_155 z_cod_m_2-z_cod_m_83 ;
matrix b2=e(b)';
matrix B=(b1-b2*.9619444)/(1-(.9619444));
mata: B=st_matrix("B");
mata: t=B:/SE;
mata: pvalue=2:*(1:-normal(abs(t)));
mata: z=invnormal(.05/2);
mata: cii=B:+z:*SE;
mata: cis=B:-z:*SE;
mata: st_matrix("t",t);
mata: st_matrix("pvalue",pvalue);
matrix table= (B, SE,t,pvalue);
matrix C= table[1..3,.];
matrix list C;
	**COLUMN 5**;
use english_T1_C5_SS.dta, clear; 
gen kernel=sqrt(abs(normalden(Y_beta1/.08429349))/((t-1)*.08429349));
qui foreach x in ln_credit ir_fr_bof   b_own_funds_ratio   ir_bof   bof_firmrisk   gdp_bof    gdp_bof_firmrisk   cpi_bof   cpi_bof_fr   b_liquidity_ratio   b_roa   b_ln_assets   b_doubtful_ratio      blr_firmrisk      broa_firmrisk       bln_firmrisk      bdr_firmrisk      bcb_firmrisk     bsb_firmrisk       ir_blr       ir_broa       ir_bln        ir_bdr      ir_bcb     ir_bsb        ir_blr_fr         ir_broa_fr       ir_bln_fr       ir_bdr_fr     ir_bcb_fr     ir_bsb_fr {;
  gen z_`x'=`x'*kernel;
};
qui forvalues x=1/155{;
  gen z_cod_enti_`x'=cod_enti_`x'*kernel;
};
qui cgmreg z_ln_credit z_ir_fr_bof   z_b_own_funds_ratio   z_ir_bof   z_bof_firmrisk   z_gdp_bof    z_gdp_bof_firmrisk   z_cpi_bof   z_cpi_bof_fr   z_b_liquidity_ratio   z_b_roa   z_b_ln_assets   z_b_doubtful_ratio      z_blr_firmrisk      z_broa_firmrisk       z_bln_firmrisk      z_bdr_firmrisk      z_bcb_firmrisk     z_bsb_firmrisk       z_ir_blr       z_ir_broa       z_ir_bln        z_ir_bdr      z_ir_bcb     z_ir_bsb        z_ir_blr_fr         z_ir_broa_fr       z_ir_bln_fr       z_ir_bdr_fr     z_ir_bcb_fr     z_ir_bsb_fr z_cod_enti_2-z_cod_enti_155, cluster(id_firm id_bank id_month);
matrix b1=e(b)';
matrix V=e(V);
mata: VV=st_matrix("V");
mata: SE=diagonal (VV):^.5;
mata: st_matrix("SE",SE);
replace kernel=sqrt(abs(normalden(Y_beta1/.49307789))/((t-1)*.49307789));
qui foreach x in ln_credit ir_fr_bof   b_own_funds_ratio   ir_bof   bof_firmrisk   gdp_bof    gdp_bof_firmrisk   cpi_bof   cpi_bof_fr   b_liquidity_ratio   b_roa   b_ln_assets   b_doubtful_ratio      blr_firmrisk      broa_firmrisk       bln_firmrisk      bdr_firmrisk      bcb_firmrisk     bsb_firmrisk       ir_blr       ir_broa       ir_bln        ir_bdr      ir_bcb     ir_bsb        ir_blr_fr         ir_broa_fr       ir_bln_fr       ir_bdr_fr     ir_bcb_fr     ir_bsb_fr {;
  replace z_`x'=`x'*kernel;
};
qui forvalues x=1/155{;
  replace z_cod_enti_`x'=cod_enti_`x'*kernel;
};
qui reg z_ln_credit z_ir_fr_bof   z_b_own_funds_ratio   z_ir_bof   z_bof_firmrisk   z_gdp_bof    z_gdp_bof_firmrisk   z_cpi_bof   z_cpi_bof_fr   z_b_liquidity_ratio   z_b_roa   z_b_ln_assets   z_b_doubtful_ratio      z_blr_firmrisk      z_broa_firmrisk       z_bln_firmrisk      z_bdr_firmrisk      z_bcb_firmrisk     z_bsb_firmrisk       z_ir_blr       z_ir_broa       z_ir_bln        z_ir_bdr      z_ir_bcb     z_ir_bsb        z_ir_blr_fr         z_ir_broa_fr       z_ir_bln_fr       z_ir_bdr_fr     z_ir_bcb_fr     z_ir_bsb_fr z_cod_enti_2-z_cod_enti_155;
matrix b2=e(b)';
matrix B=(b1-b2*.02922517)/(1-(.02922517));
mata: B=st_matrix("B");
mata: t=B:/SE;
mata: pvalue=2:*(1:-normal(abs(t)));
mata: z=invnormal(.05/2);
mata: cii=B:+z:*SE;
mata: cis=B:-z:*SE;
mata: st_matrix("t",t);
mata: st_matrix("pvalue",pvalue);
matrix table= (B, SE,t,pvalue);
matrix C= table[1..1,.];
matrix list C;
	**COLUMN 6**;
use english_T1_C6_SS.dta, clear; 
gen kernel=sqrt(abs(normalden(Y_beta1/.15453806))/((t-1)*.15453806));
qui foreach x in ln_credit ir_fr_bof  bof_firmrisk    gdp_bof_firmrisk   cpi_bof_fr   blr_firmrisk      broa_firmrisk       bln_firmrisk      bdr_firmrisk      bcb_firmrisk     bsb_firmrisk          ir_blr_fr         ir_broa_fr       ir_bln_fr       ir_bdr_fr     ir_bcb_fr     ir_bsb_fr{;
  gen z_`x'=`x'*kernel;
};
qui forvalues x=1/6856{;
  gen z_cod_bm_`x'=cod_bm_`x'*kernel;
};
qui cgmreg z_ln_credit z_ir_fr_bof  z_bof_firmrisk    z_gdp_bof_firmrisk   z_cpi_bof_fr   z_blr_firmrisk      z_broa_firmrisk       z_bln_firmrisk      z_bdr_firmrisk      z_bcb_firmrisk     z_bsb_firmrisk          z_ir_blr_fr         z_ir_broa_fr       z_ir_bln_fr       z_ir_bdr_fr     z_ir_bcb_fr     z_ir_bsb_fr z_cod_bm_*, cluster(id_firm id_bank id_month);
matrix b1=e(b)';
matrix V=e(V);
mata: VV=st_matrix("V");
mata: SE=diagonal (VV):^.5;
mata: st_matrix("SE",SE);
replace kernel=sqrt(abs(normalden(Y_beta1/.18804907))/((t-1)*.18804907));
qui foreach x in ln_credit ir_fr_bof  bof_firmrisk    gdp_bof_firmrisk   cpi_bof_fr   blr_firmrisk      broa_firmrisk       bln_firmrisk      bdr_firmrisk      bcb_firmrisk     bsb_firmrisk          ir_blr_fr         ir_broa_fr       ir_bln_fr       ir_bdr_fr     ir_bcb_fr     ir_bsb_fr{;
  replace z_`x'=`x'*kernel;
};
drop z_cod_bm_*;
qui forvalues x=1/6856{;
  gen z_cod_bm_`x'=cod_bm_`x'*kernel;
};
qui reg z_ln_credit z_ir_fr_bof  z_bof_firmrisk    z_gdp_bof_firmrisk   z_cpi_bof_fr   z_blr_firmrisk      z_broa_firmrisk       z_bln_firmrisk      z_bdr_firmrisk      z_bcb_firmrisk     z_bsb_firmrisk          z_ir_blr_fr         z_ir_broa_fr       z_ir_bln_fr       z_ir_bdr_fr     z_ir_bcb_fr     z_ir_bsb_fr z_cod_bm_*;
matrix b2=e(b)';
matrix B=(b1-b2*.67534946)/(1-(.67534946));
mata: B=st_matrix("B");
mata: t=B:/SE;
mata: pvalue=2:*(1:-normal(abs(t)));
mata: z=invnormal(.05/2);
mata: cii=B:+z:*SE;
mata: cis=B:-z:*SE;
mata: st_matrix("t",t);
mata: st_matrix("pvalue",pvalue);
matrix table= (B, SE,t,pvalue);
matrix C= table[1..20,.];
matrix list C;
***************************************************************************;
********************************************************************TABLE 3;
***************************************************************************;
********************************;
********************FIRST STAGE;
********************************;
	**COLUMN 1**;
  use english_T2_C1_FS.dta, clear;																							
  foreach y in  granting ir_fr_bof   b_own_funds_ratio   ir_bof   bof_firmrisk   gdp_bof    gdp_bof_firmrisk   cpi_bof   cpi_bof_fr   b_liquidity_ratio   b_roa   b_ln_assets   b_doubtful_ratio      blr_firmrisk      broa_firmrisk       bln_firmrisk      bdr_firmrisk      bcb_firmrisk     bsb_firmrisk       ir_blr       ir_broa       ir_bln        ir_bdr      ir_bcb     ir_bsb        ir_blr_fr         ir_broa_fr       ir_bln_fr       ir_bdr_fr     ir_bcb_fr     ir_bsb_fr cpi_blr cpi_broa cpi_bln cpi_bdr  cpi_bcb  cpi_bsb  cpi_blr_fr  cpi_broa_fr cpi_bln_fr cpi_bdr_fr cpi_bcb_fr  cpi_bsb_fr{;
    egen m_`y'=mean(`y')  , by(id_firm_month);
    gen u=1;
    egen m2_`y'=mean(`y') , by(u);
    replace `y'=`y'-m_`y'+m2_`y' ;
    drop u m2_* m_*;
  };
  forvalues y=1/155{;
    egen m_cod_enti_`y'=mean(cod_enti_`y') , by(id_firm_month);
    gen u=1;
    egen m2_cod_enti_`y'=mean(cod_enti_`y'), by(u);
    replace cod_enti_`y'=cod_enti_`y'-m_cod_enti_`y'+m2_cod_enti_`y';
    drop u m2_* m_*;
  }; 
  xi: cgmreg  granting ir_fr_bof   b_own_funds_ratio   ir_bof   bof_firmrisk   gdp_bof    gdp_bof_firmrisk   cpi_bof   cpi_bof_fr   b_liquidity_ratio   b_roa   b_ln_assets   b_doubtful_ratio      blr_firmrisk      broa_firmrisk       bln_firmrisk      bdr_firmrisk      bcb_firmrisk     bsb_firmrisk       ir_blr       ir_broa       ir_bln        ir_bdr      ir_bcb     ir_bsb        ir_blr_fr         ir_broa_fr       ir_bln_fr       ir_bdr_fr     ir_bcb_fr     ir_bsb_fr cpi_blr cpi_broa cpi_bln cpi_bdr  cpi_bcb  cpi_bsb  cpi_blr_fr  cpi_broa_fr cpi_bln_fr cpi_bdr_fr cpi_bcb_fr  cpi_bsb_fr     ir_bsb_fr cod_enti_2-cod_enti_155 , cluster(id_firm id_bank  id_month);	  
	**COLUMN 2**;
  use english_T2_C2_FS.dta, clear;																							
  foreach y in  granting irl_fr_bof   b_own_funds_ratio   irl_bof   bof_firmrisk   gdp_bof    gdp_bof_firmrisk   cpi_bof   cpi_bof_fr   b_liquidity_ratio   b_roa   b_ln_assets   b_doubtful_ratio      blr_firmrisk      broa_firmrisk       bln_firmrisk      bdr_firmrisk      bcb_firmrisk     bsb_firmrisk       irl_blr       irl_broa       irl_bln        irl_bdr      irl_bcb     irl_bsb        irl_blr_fr         irl_broa_fr       irl_bln_fr       irl_bdr_fr     irl_bcb_fr     irl_bsb_fr  {;
    egen m_`y'=mean(`y')  , by(id_firm_month);
    gen u=1;
    egen m2_`y'=mean(`y') , by(u);
    replace `y'=`y'-m_`y'+m2_`y' ;
    drop u m2_* m_*;
  };
  forvalues y=1/155{;
    egen m_cod_enti_`y'=mean(cod_enti_`y') , by(id_firm_month);
    gen u=1;
    egen m2_cod_enti_`y'=mean(cod_enti_`y'), by(u);
    replace cod_enti_`y'=cod_enti_`y'-m_cod_enti_`y'+m2_cod_enti_`y';
    drop u m2_* m_*;
  }; 
  xi: cgmreg  granting irl_fr_bof   b_own_funds_ratio   irl_bof   bof_firmrisk   gdp_bof    gdp_bof_firmrisk   cpi_bof   cpi_bof_fr   b_liquidity_ratio   b_roa   b_ln_assets   b_doubtful_ratio      blr_firmrisk      broa_firmrisk       bln_firmrisk      bdr_firmrisk      bcb_firmrisk     bsb_firmrisk       irl_blr       irl_broa       irl_bln        irl_bdr      irl_bcb     irl_bsb        irl_blr_fr         irl_broa_fr       irl_bln_fr       irl_bdr_fr     irl_bcb_fr     irl_bsb_fr   cod_enti_2-cod_enti_155 , cluster(id_firm id_bank  id_month);	  
	**COLUMN 3**;
use english_T2_C3_FS.dta, clear;																							
foreach y in  granting ir_fr_bof irsus_bof_fr irsus_bof irlus_bof_fr irlus_bof b_own_funds_ratio   ir_bof   bof_firmrisk   gdp_bof    gdp_bof_firmrisk   cpi_bof   cpi_bof_fr   b_liquidity_ratio   b_roa   b_ln_assets   b_doubtful_ratio      blr_firmrisk      broa_firmrisk       bln_firmrisk      bdr_firmrisk      bcb_firmrisk     bsb_firmrisk       ir_blr       ir_broa       ir_bln        ir_bdr      ir_bcb     ir_bsb        ir_blr_fr         ir_broa_fr       ir_bln_fr       ir_bdr_fr     ir_bcb_fr     ir_bsb_fr{;
  egen m_`y'=mean(`y')  , by(id_firm_month);
  gen u=1;
  egen m2_`y'=mean(`y') , by(u);
  replace `y'=`y'-m_`y'+m2_`y' ;
  drop u m2_* m_*;
};
forvalues y=1/`v11'{;
  egen m_cod_enti_`y'=mean(cod_enti_`y') , by(id_firm_month);
  gen u=1;
  egen m2_cod_enti_`y'=mean(cod_enti_`y'), by(u);
  replace cod_enti_`y'=cod_enti_`y'-m_cod_enti_`y'+m2_cod_enti_`y';
  drop u m2_* m_*;
}; 
xi: cgmreg  granting ir_fr_bof irsus_bof_fr irsus_bof irlus_bof_fr irlus_bof b_own_funds_ratio   ir_bof   bof_firmrisk   gdp_bof    gdp_bof_firmrisk   cpi_bof   cpi_bof_fr   b_liquidity_ratio   b_roa   b_ln_assets   b_doubtful_ratio      blr_firmrisk      broa_firmrisk       bln_firmrisk      bdr_firmrisk      bcb_firmrisk     bsb_firmrisk       ir_blr       ir_broa       ir_bln        ir_bdr      ir_bcb     ir_bsb        ir_blr_fr         ir_broa_fr       ir_bln_fr       ir_bdr_fr     ir_bcb_fr     ir_bsb_fr cod_enti_2-cod_enti_`v11' , cluster(id_firm id_bank  id_month);	  
	**COLUMN 4**;
use english_T2_C4_FS.dta, clear;																							
foreach y in  granting ir_fr_bof   b_own_funds_ratio   ir_bof   bof_firmrisk   gdp_bof    gdp_bof_firmrisk   cpi_bof   cpi_bof_fr sec_bof_fr sec_bof   b_liquidity_ratio   b_roa   b_ln_assets   b_doubtful_ratio      blr_firmrisk      broa_firmrisk       bln_firmrisk      bdr_firmrisk      bcb_firmrisk     bsb_firmrisk       ir_blr       ir_broa       ir_bln        ir_bdr      ir_bcb     ir_bsb        ir_blr_fr         ir_broa_fr       ir_bln_fr       ir_bdr_fr     ir_bcb_fr     ir_bsb_fr{;
  egen m_`y'=mean(`y')  , by(id_firm_month);
  gen u=1;
  egen m2_`y'=mean(`y') , by(u);
  replace `y'=`y'-m_`y'+m2_`y' ;
  drop u m2_* m_*;
};
forvalues y=1/155{;
  egen m_cod_enti_`y'=mean(cod_enti_`y') , by(id_firm_month);
  gen u=1;
  egen m2_cod_enti_`y'=mean(cod_enti_`y'), by(u);
  replace cod_enti_`y'=cod_enti_`y'-m_cod_enti_`y'+m2_cod_enti_`y';
  drop u m2_* m_*;
}; 
xi: cgmreg  granting ir_fr_bof   b_own_funds_ratio   ir_bof   bof_firmrisk   gdp_bof    gdp_bof_firmrisk   cpi_bof   cpi_bof_fr sec_bof_fr sec_bof   b_liquidity_ratio   b_roa   b_ln_assets   b_doubtful_ratio      blr_firmrisk      broa_firmrisk       bln_firmrisk      bdr_firmrisk      bcb_firmrisk     bsb_firmrisk       ir_blr       ir_broa       ir_bln        ir_bdr      ir_bcb     ir_bsb        ir_blr_fr         ir_broa_fr       ir_bln_fr       ir_bdr_fr     ir_bcb_fr     ir_bsb_fr cod_enti_2-cod_enti_155 , cluster(id_firm id_bank  id_month);	  
	**COLUMN 5**;
use english_T2_C6_FS.dta, clear;																							
foreach y in granting ir_fr_bof  bof_firmrisk    gdp_bof_firmrisk   cpi_bof_fr   blr_firmrisk      broa_firmrisk       bln_firmrisk      bdr_firmrisk      bcb_firmrisk     bsb_firmrisk          ir_blr_fr         ir_broa_fr       ir_bln_fr       ir_bdr_fr     ir_bcb_fr     ir_bsb_fr cpi_blr cpi_broa cpi_bln cpi_bdr  cpi_bcb  cpi_bsb  cpi_blr_fr  cpi_broa_fr cpi_bln_fr cpi_bdr_fr cpi_bcb_fr  cpi_bsb_fr deficit_bof deficit_bof_fr sec_bof sec_bof_fr irsus_bof_fr irsus_bof{;
  egen m_`y'=mean(`y')  , by(id_firm_month);
  gen u=1;
  egen m2_`y'=mean(`y') , by(u);
  replace `y'=`y'-m_`y'+m2_`y' ;
  drop u m2_* m_*;
};
forvalues y=1/6856{;
  egen m_cod_bm_`y'=mean(cod_bm_`y') , by(id_firm_month);
  gen u=1;
  egen m2_cod_bm_`y'=mean(cod_bm_`y'), by(u);
  replace cod_bm_`y'=cod_bm_`y'-m_cod_bm_`y'+m2_cod_bm_`y';
  drop u m2_* m_*;
}; 
xi: cgmreg  granting ir_fr_bof  bof_firmrisk    gdp_bof_firmrisk   cpi_bof_fr   blr_firmrisk      broa_firmrisk       bln_firmrisk      bdr_firmrisk      bcb_firmrisk     bsb_firmrisk          ir_blr_fr         ir_broa_fr       ir_bln_fr       ir_bdr_fr     ir_bcb_fr     ir_bsb_fr cpi_blr cpi_broa cpi_bln cpi_bdr  cpi_bcb  cpi_bsb  cpi_blr_fr  cpi_broa_fr cpi_bln_fr cpi_bdr_fr cpi_bcb_fr  cpi_bsb_fr deficit_bof deficit_bof_fr sec_bof sec_bof_fr irsus_bof_fr irsus_bof   cod_bm_2-cod_bm_6856 , cluster(id_firm id_bank id_month);	  
********************************;
********************SECOND STAGE;
********************************;
	**COLUMN 1**;
use english_T2_C1_SS.dta, clear; 
gen kernel=sqrt(abs(normalden(Y_beta1/.08429349))/((t-1)*.08429349));
qui foreach x in ln_credit ir_fr_bof   b_own_funds_ratio   ir_bof   bof_firmrisk   gdp_bof    gdp_bof_firmrisk   cpi_bof   cpi_bof_fr   b_liquidity_ratio   b_roa   b_ln_assets   b_doubtful_ratio      blr_firmrisk      broa_firmrisk       bln_firmrisk      bdr_firmrisk      bcb_firmrisk     bsb_firmrisk       ir_blr       ir_broa       ir_bln        ir_bdr      ir_bcb     ir_bsb        ir_blr_fr         ir_broa_fr       ir_bln_fr       ir_bdr_fr     ir_bcb_fr     ir_bsb_fr cpi_blr cpi_broa cpi_bln cpi_bdr  cpi_bcb  cpi_bsb  cpi_blr_fr  cpi_broa_fr cpi_bln_fr cpi_bdr_fr cpi_bcb_fr  cpi_bsb_fr{;
  gen z_`x'=`x'*kernel;
};
qui forvalues x=1/155{;
  gen z_cod_enti_`x'=cod_enti_`x'*kernel;
};
qui cgmreg z_ln_credit z_ir_fr_bof   z_b_own_funds_ratio   z_ir_bof   z_bof_firmrisk   z_gdp_bof    z_gdp_bof_firmrisk   z_cpi_bof   z_cpi_bof_fr   z_b_liquidity_ratio   z_b_roa   z_b_ln_assets   z_b_doubtful_ratio      z_blr_firmrisk      z_broa_firmrisk       z_bln_firmrisk      z_bdr_firmrisk      z_bcb_firmrisk     z_bsb_firmrisk       z_ir_blr       z_ir_broa       z_ir_bln        z_ir_bdr      z_ir_bcb     z_ir_bsb        z_ir_blr_fr         z_ir_broa_fr       z_ir_bln_fr       z_ir_bdr_fr     z_ir_bcb_fr     z_ir_bsb_fr z_cpi_blr z_cpi_broa z_cpi_bln z_cpi_bdr  z_cpi_bcb  z_cpi_bsb  z_cpi_blr_fr  z_cpi_broa_fr z_cpi_bln_fr z_cpi_bdr_fr z_cpi_bcb_fr  z_cpi_bsb_fr z_cod_enti_2-z_cod_enti_155, cluster(id_firm id_bank id_month);
matrix b1=e(b)';
matrix V=e(V);
mata: VV=st_matrix("V");
mata: SE=diagonal (VV):^.5;
mata: st_matrix("SE",SE);
replace kernel=sqrt(abs(normalden(Y_beta1/.49307789))/((t-1)*.49307789));
qui foreach x in ln_credit ir_fr_bof   b_own_funds_ratio   ir_bof   bof_firmrisk   gdp_bof    gdp_bof_firmrisk   cpi_bof   cpi_bof_fr   b_liquidity_ratio   b_roa   b_ln_assets   b_doubtful_ratio      blr_firmrisk      broa_firmrisk       bln_firmrisk      bdr_firmrisk      bcb_firmrisk     bsb_firmrisk       ir_blr       ir_broa       ir_bln        ir_bdr      ir_bcb     ir_bsb        ir_blr_fr         ir_broa_fr       ir_bln_fr       ir_bdr_fr     ir_bcb_fr     ir_bsb_fr cpi_blr cpi_broa cpi_bln cpi_bdr  cpi_bcb  cpi_bsb  cpi_blr_fr  cpi_broa_fr cpi_bln_fr cpi_bdr_fr cpi_bcb_fr  cpi_bsb_fr{;
  replace z_`x'=`x'*kernel;
};
qui forvalues x=1/155{;
  replace z_cod_enti_`x'=cod_enti_`x'*kernel;
};
qui reg z_ln_credit z_ir_fr_bof   z_b_own_funds_ratio   z_ir_bof   z_bof_firmrisk   z_gdp_bof    z_gdp_bof_firmrisk   z_cpi_bof   z_cpi_bof_fr   z_b_liquidity_ratio   z_b_roa   z_b_ln_assets   z_b_doubtful_ratio      z_blr_firmrisk      z_broa_firmrisk       z_bln_firmrisk      z_bdr_firmrisk      z_bcb_firmrisk     z_bsb_firmrisk       z_ir_blr       z_ir_broa       z_ir_bln        z_ir_bdr      z_ir_bcb     z_ir_bsb        z_ir_blr_fr         z_ir_broa_fr       z_ir_bln_fr       z_ir_bdr_fr     z_ir_bcb_fr  z_cpi_blr z_cpi_broa z_cpi_bln z_cpi_bdr  z_cpi_bcb  z_cpi_bsb  z_cpi_blr_fr  z_cpi_broa_fr z_cpi_bln_fr z_cpi_bdr_fr z_cpi_bcb_fr  z_cpi_bsb_fr    z_ir_bsb_fr z_cod_enti_2-z_cod_enti_155;

matrix b2=e(b)';
matrix B=(b1-b2*.02922517)/(1-(.02922517));
mata: B=st_matrix("B");
mata: t=B:/SE;
mata: pvalue=2:*(1:-normal(abs(t)));
mata: z=invnormal(.05/2);
mata: cii=B:+z:*SE;
mata: cis=B:-z:*SE;
mata: st_matrix("t",t);
mata: st_matrix("pvalue",pvalue);
matrix table= (B, SE,t,pvalue);
matrix C= table[1..1,.];
matrix list C;
	**COLUMN 2**;
use english_T2_C2_SS.dta, clear; 
gen kernel=sqrt(abs(normalden(Y_beta1/.07024457))/((t-1)*.07024457));
qui foreach x in ln_credit irl_fr_bof   b_own_funds_ratio   irl_bof   bof_firmrisk   gdp_bof    gdp_bof_firmrisk   cpi_bof   cpi_bof_fr   b_liquidity_ratio   b_roa   b_ln_assets   b_doubtful_ratio      blr_firmrisk      broa_firmrisk       bln_firmrisk      bdr_firmrisk      bcb_firmrisk     bsb_firmrisk       irl_blr       irl_broa       irl_bln        irl_bdr      irl_bcb     irl_bsb        irl_blr_fr         irl_broa_fr       irl_bln_fr       irl_bdr_fr     irl_bcb_fr     irl_bsb_fr  {;
  gen z_`x'=`x'*kernel;
};
qui forvalues x=1/155{;
  gen z_cod_enti_`x'=cod_enti_`x'*kernel;
};
qui cgmreg z_ln_credit z_irl_fr_bof   z_b_own_funds_ratio   z_irl_bof   z_bof_firmrisk   z_gdp_bof    z_gdp_bof_firmrisk   z_cpi_bof   z_cpi_bof_fr   z_b_liquidity_ratio   z_b_roa   z_b_ln_assets   z_b_doubtful_ratio      z_blr_firmrisk      z_broa_firmrisk       z_bln_firmrisk      z_bdr_firmrisk      z_bcb_firmrisk     z_bsb_firmrisk       z_irl_blr       z_irl_broa       z_irl_bln        z_irl_bdr      z_irl_bcb     z_irl_bsb        z_irl_blr_fr         z_irl_broa_fr       z_irl_bln_fr       z_irl_bdr_fr     z_irl_bcb_fr     z_irl_bsb_fr z_cod_enti_2-z_cod_enti_155, cluster(id_firm id_bank id_month);
matrix b1=e(b)';
matrix V=e(V);
mata: VV=st_matrix("V");
mata: SE=diagonal (VV):^.5;
mata: st_matrix("SE",SE);
replace kernel=sqrt(abs(normalden(Y_beta1/.41089824))/((t-1)*.41089824));
qui foreach x in ln_credit irl_fr_bof   b_own_funds_ratio   irl_bof   bof_firmrisk   gdp_bof    gdp_bof_firmrisk   cpi_bof   cpi_bof_fr   b_liquidity_ratio   b_roa   b_ln_assets   b_doubtful_ratio      blr_firmrisk      broa_firmrisk       bln_firmrisk      bdr_firmrisk      bcb_firmrisk     bsb_firmrisk       irl_blr       irl_broa       irl_bln        irl_bdr      irl_bcb     irl_bsb        irl_blr_fr         irl_broa_fr       irl_bln_fr       irl_bdr_fr     irl_bcb_fr     irl_bsb_fr{;
  replace z_`x'=`x'*kernel;
};
qui forvalues x=1/155{;
  replace z_cod_enti_`x'=cod_enti_`x'*kernel;
};
qui reg z_ln_credit z_irl_fr_bof   z_b_own_funds_ratio   z_irl_bof   z_bof_firmrisk   z_gdp_bof    z_gdp_bof_firmrisk   z_cpi_bof   z_cpi_bof_fr   z_b_liquidity_ratio   z_b_roa   z_b_ln_assets   z_b_doubtful_ratio      z_blr_firmrisk      z_broa_firmrisk       z_bln_firmrisk      z_bdr_firmrisk      z_bcb_firmrisk     z_bsb_firmrisk       z_irl_blr       z_irl_broa       z_irl_bln        z_irl_bdr      z_irl_bcb     z_irl_bsb        z_irl_blr_fr         z_irl_broa_fr       z_irl_bln_fr       z_irl_bdr_fr     z_irl_bcb_fr     z_irl_bsb_fr z_cod_enti_2-z_cod_enti_155;
matrix b2=e(b)';
matrix B=(b1-b2*.02922517)/(1-(.02922517));
mata: B=st_matrix("B");
mata: t=B:/SE;
mata: pvalue=2:*(1:-normal(abs(t)));
mata: z=invnormal(.05/2);
mata: cii=B:+z:*SE;
mata: cis=B:-z:*SE;
mata: st_matrix("t",t);
mata: st_matrix("pvalue",pvalue);
matrix table= (B, SE,t,pvalue);
matrix C= table[1..1,.];
matrix list C;
	**COLUMN 3**;
use english_T2_C3_SS.dta, clear; 
gen kernel=sqrt(abs(normalden(Y_beta1/.08429349))/((t-1)*.08429349));
qui foreach x in ln_credit ir_fr_bof  irsus_bof_fr irsus_bof irlus_bof_fr irlus_bof b_own_funds_ratio   ir_bof   bof_firmrisk   gdp_bof    gdp_bof_firmrisk   cpi_bof   cpi_bof_fr   b_liquidity_ratio   b_roa   b_ln_assets   b_doubtful_ratio      blr_firmrisk      broa_firmrisk       bln_firmrisk      bdr_firmrisk      bcb_firmrisk     bsb_firmrisk       ir_blr       ir_broa       ir_bln        ir_bdr      ir_bcb     ir_bsb        ir_blr_fr         ir_broa_fr       ir_bln_fr       ir_bdr_fr     ir_bcb_fr     ir_bsb_fr {;
  gen z_`x'=`x'*kernel;
};
qui forvalues x=1/155{;
  gen z_cod_enti_`x'=cod_enti_`x'*kernel;
};
qui cgmreg z_ln_credit z_ir_fr_bof  z_irsus_bof_fr z_irsus_bof z_irlus_bof_fr z_irlus_bof z_b_own_funds_ratio   z_ir_bof   z_bof_firmrisk   z_gdp_bof    z_gdp_bof_firmrisk   z_cpi_bof   z_cpi_bof_fr   z_b_liquidity_ratio   z_b_roa   z_b_ln_assets   z_b_doubtful_ratio      z_blr_firmrisk      z_broa_firmrisk       z_bln_firmrisk      z_bdr_firmrisk      z_bcb_firmrisk     z_bsb_firmrisk       z_ir_blr       z_ir_broa       z_ir_bln        z_ir_bdr      z_ir_bcb     z_ir_bsb        z_ir_blr_fr         z_ir_broa_fr       z_ir_bln_fr       z_ir_bdr_fr     z_ir_bcb_fr     z_ir_bsb_fr z_cod_enti_2-z_cod_enti_155, cluster(id_firm id_bank id_month);
matrix b1=e(b)';
matrix V=e(V);
mata: VV=st_matrix("V");
mata: SE=diagonal (VV):^.5;
mata: st_matrix("SE",SE);
replace kernel=sqrt(abs(normalden(Y_beta1/.49307789))/((t-1)*.49307789));
qui foreach x in ln_credit ir_fr_bof  irsus_bof_fr irsus_bof irlus_bof_fr irlus_bof b_own_funds_ratio   ir_bof   bof_firmrisk   gdp_bof    gdp_bof_firmrisk   cpi_bof   cpi_bof_fr   b_liquidity_ratio   b_roa   b_ln_assets   b_doubtful_ratio      blr_firmrisk      broa_firmrisk       bln_firmrisk      bdr_firmrisk      bcb_firmrisk     bsb_firmrisk       ir_blr       ir_broa       ir_bln        ir_bdr      ir_bcb     ir_bsb        ir_blr_fr         ir_broa_fr       ir_bln_fr       ir_bdr_fr     ir_bcb_fr     ir_bsb_fr {;
  replace z_`x'=`x'*kernel;
};
qui forvalues x=1/155{;
  replace z_cod_enti_`x'=cod_enti_`x'*kernel;
};
qui reg z_ln_credit z_ir_fr_bof  z_irsus_bof_fr z_irsus_bof z_irlus_bof_fr z_irlus_bof z_b_own_funds_ratio   z_ir_bof   z_bof_firmrisk   z_gdp_bof    z_gdp_bof_firmrisk   z_cpi_bof   z_cpi_bof_fr   z_b_liquidity_ratio   z_b_roa   z_b_ln_assets   z_b_doubtful_ratio      z_blr_firmrisk      z_broa_firmrisk       z_bln_firmrisk      z_bdr_firmrisk      z_bcb_firmrisk     z_bsb_firmrisk       z_ir_blr       z_ir_broa       z_ir_bln        z_ir_bdr      z_ir_bcb     z_ir_bsb        z_ir_blr_fr         z_ir_broa_fr       z_ir_bln_fr       z_ir_bdr_fr     z_ir_bcb_fr     z_ir_bsb_fr z_cod_enti_2-z_cod_enti_155;
matrix b2=e(b)';
matrix B=(b1-b2*.02922517)/(1-(.02922517));
mata: B=st_matrix("B");
mata: t=B:/SE;
mata: pvalue=2:*(1:-normal(abs(t)));
mata: z=invnormal(.05/2);
mata: cii=B:+z:*SE;
mata: cis=B:-z:*SE;
mata: st_matrix("t",t);
mata: st_matrix("pvalue",pvalue);
matrix table= (B, SE,t,pvalue);
matrix C= table[1..5,.];
matrix list C;
	**COLUMN 4**;	
use english_T2_C4_SS.dta, clear; 
gen kernel=sqrt(abs(normalden(Y_beta1/.12644023))/((t-1)*.12644023));
qui foreach x in ln_credit ir_fr_bof sec_bof_fr sec_bof  b_own_funds_ratio   ir_bof   bof_firmrisk   gdp_bof    gdp_bof_firmrisk   cpi_bof   cpi_bof_fr   b_liquidity_ratio   b_roa   b_ln_assets   b_doubtful_ratio      blr_firmrisk      broa_firmrisk       bln_firmrisk      bdr_firmrisk      bcb_firmrisk     bsb_firmrisk       ir_blr       ir_broa       ir_bln        ir_bdr      ir_bcb     ir_bsb        ir_blr_fr         ir_broa_fr       ir_bln_fr       ir_bdr_fr     ir_bcb_fr     ir_bsb_fr{;
  gen z_`x'=`x'*kernel;
};
qui forvalues x=1/155{;
  gen z_cod_enti_`x'=cod_enti_`x'*kernel;
};
qui cgmreg z_ln_credit z_ir_fr_bof z_sec_bof_fr z_sec_bof  z_b_own_funds_ratio   z_ir_bof   z_bof_firmrisk   z_gdp_bof    z_gdp_bof_firmrisk   z_cpi_bof   z_cpi_bof_fr   z_b_liquidity_ratio   z_b_roa   z_b_ln_assets   z_b_doubtful_ratio      z_blr_firmrisk      z_broa_firmrisk       z_bln_firmrisk      z_bdr_firmrisk      z_bcb_firmrisk     z_bsb_firmrisk       z_ir_blr       z_ir_broa       z_ir_bln        z_ir_bdr      z_ir_bcb     z_ir_bsb        z_ir_blr_fr         z_ir_broa_fr       z_ir_bln_fr       z_ir_bdr_fr     z_ir_bcb_fr     z_ir_bsb_fr z_cod_enti_2-z_cod_enti_155, cluster(id_firm id_bank id_month);
matrix b1=e(b)';
matrix V=e(V);
mata: VV=st_matrix("V");
mata: SE=diagonal (VV):^.5;
mata: st_matrix("SE",SE);
replace kernel=sqrt(abs(normalden(Y_beta1/.15385833))/((t-1)*.15385833));
qui foreach x in ln_credit ir_fr_bof sec_bof_fr sec_bof  b_own_funds_ratio   ir_bof   bof_firmrisk   gdp_bof    gdp_bof_firmrisk   cpi_bof   cpi_bof_fr   b_liquidity_ratio   b_roa   b_ln_assets   b_doubtful_ratio      blr_firmrisk      broa_firmrisk       bln_firmrisk      bdr_firmrisk      bcb_firmrisk     bsb_firmrisk       ir_blr       ir_broa       ir_bln        ir_bdr      ir_bcb     ir_bsb        ir_blr_fr         ir_broa_fr       ir_bln_fr       ir_bdr_fr     ir_bcb_fr     ir_bsb_fr{;
  replace z_`x'=`x'*kernel;
};
qui forvalues x=1/155{;
  replace z_cod_enti_`x'=cod_enti_`x'*kernel;
};
qui reg z_ln_credit z_ir_fr_bof z_sec_bof_fr z_sec_bof  z_b_own_funds_ratio   z_ir_bof   z_bof_firmrisk   z_gdp_bof    z_gdp_bof_firmrisk   z_cpi_bof   z_cpi_bof_fr   z_b_liquidity_ratio   z_b_roa   z_b_ln_assets   z_b_doubtful_ratio      z_blr_firmrisk      z_broa_firmrisk       z_bln_firmrisk      z_bdr_firmrisk      z_bcb_firmrisk     z_bsb_firmrisk       z_ir_blr       z_ir_broa       z_ir_bln        z_ir_bdr      z_ir_bcb     z_ir_bsb        z_ir_blr_fr         z_ir_broa_fr       z_ir_bln_fr       z_ir_bdr_fr     z_ir_bcb_fr     z_ir_bsb_fr z_cod_enti_2-z_cod_enti_155;
matrix b2=e(b)';
matrix B=(b1-b2*.67534946)/(1-(.67534946));
mata: B=st_matrix("B");
mata: t=B:/SE;
mata: pvalue=2:*(1:-normal(abs(t)));
mata: z=invnormal(.05/2);
mata: cii=B:+z:*SE;
mata: cis=B:-z:*SE;
mata: st_matrix("t",t);
mata: st_matrix("pvalue",pvalue);
matrix table= (B, SE,t,pvalue);
matrix C= table[1..10,.];
matrix list C;
	**COLUMN 5**;
use english_T2_C6_SS.dta, clear; 
gen kernel=sqrt(abs(normalden(Y_beta1/.15453806))/((t-1)*.15453806));
qui foreach x in ln_credit ir_fr_bof  bof_firmrisk    gdp_bof_firmrisk   cpi_bof_fr   blr_firmrisk      broa_firmrisk       bln_firmrisk      bdr_firmrisk      bcb_firmrisk     bsb_firmrisk          ir_blr_fr         ir_broa_fr       ir_bln_fr       ir_bdr_fr     ir_bcb_fr     ir_bsb_fr cpi_blr cpi_broa cpi_bln cpi_bdr  cpi_bcb  cpi_bsb  cpi_blr_fr  cpi_broa_fr cpi_bln_fr cpi_bdr_fr cpi_bcb_fr  cpi_bsb_fr deficit_bof deficit_bof_fr sec_bof sec_bof_fr irsus_bof_fr irsus_bof{;
  gen z_`x'=`x'*kernel;
};
qui forvalues x=1/6856{;
  gen z_cod_bm_`x'=cod_bm_`x'*kernel;
};
qui cgmreg z_ln_credit z_ir_fr_bof  z_bof_firmrisk    z_gdp_bof_firmrisk   z_cpi_bof_fr   z_blr_firmrisk      z_broa_firmrisk       z_bln_firmrisk      z_bdr_firmrisk      z_bcb_firmrisk     z_bsb_firmrisk          z_ir_blr_fr         z_ir_broa_fr       z_ir_bln_fr       z_ir_bdr_fr     z_ir_bcb_fr     z_ir_bsb_fr z_cpi_blr z_cpi_broa z_cpi_bln z_cpi_bdr  z_cpi_bcb  z_cpi_bsb  z_cpi_blr_fr  z_cpi_broa_fr z_cpi_bln_fr z_cpi_bdr_fr z_cpi_bcb_fr  z_cpi_bsb_fr z_deficit_bof z_deficit_bof_fr z_sec_bof z_sec_bof_fr z_irsus_bof_fr z_irsus_bof z_cod_bm_*, cluster(id_firm id_bank id_month);
matrix b1=e(b)';
matrix V=e(V);
mata: VV=st_matrix("V");
mata: SE=diagonal (VV):^.5;
mata: st_matrix("SE",SE);
replace kernel=sqrt(abs(normalden(Y_beta1/.18804907))/((t-1)*.18804907));
qui foreach x in ln_credit ir_fr_bof  bof_firmrisk    gdp_bof_firmrisk   cpi_bof_fr   blr_firmrisk      broa_firmrisk       bln_firmrisk      bdr_firmrisk      bcb_firmrisk     bsb_firmrisk          ir_blr_fr         ir_broa_fr       ir_bln_fr       ir_bdr_fr     ir_bcb_fr     ir_bsb_fr cpi_blr cpi_broa cpi_bln cpi_bdr  cpi_bcb  cpi_bsb  cpi_blr_fr  cpi_broa_fr cpi_bln_fr cpi_bdr_fr cpi_bcb_fr  cpi_bsb_fr deficit_bof deficit_bof_fr sec_bof sec_bof_fr irsus_bof_fr irsus_bof{;
  replace z_`x'=`x'*kernel;
};
drop z_cod_bm_*;
qui forvalues x=1/6856{;
  gen z_cod_bm_`x'=cod_bm_`x'*kernel;
};
qui reg z_ln_credit z_ir_fr_bof  z_bof_firmrisk    z_gdp_bof_firmrisk   z_cpi_bof_fr   z_blr_firmrisk      z_broa_firmrisk       z_bln_firmrisk      z_bdr_firmrisk      z_bcb_firmrisk     z_bsb_firmrisk          z_ir_blr_fr         z_ir_broa_fr       z_ir_bln_fr       z_ir_bdr_fr     z_ir_bcb_fr     z_ir_bsb_fr z_cpi_blr z_cpi_broa z_cpi_bln z_cpi_bdr  z_cpi_bcb  z_cpi_bsb  z_cpi_blr_fr  z_cpi_broa_fr z_cpi_bln_fr z_cpi_bdr_fr z_cpi_bcb_fr  z_cpi_bsb_fr z_deficit_bof z_deficit_bof_fr z_sec_bof z_sec_bof_fr z_irsus_bof_fr z_irsus_bof  z_cod_bm_*;
matrix b2=e(b)';
matrix B=(b1-b2*.67534946)/(1-(.67534946));
mata: B=st_matrix("B");
mata: t=B:/SE;
mata: pvalue=2:*(1:-normal(abs(t)));
mata: z=invnormal(.05/2);
mata: cii=B:+z:*SE;
mata: cis=B:-z:*SE;
mata: st_matrix("t",t);
mata: st_matrix("pvalue",pvalue);
matrix table= (B, SE,t,pvalue);
matrix C= table[1..20,.];
matrix list C;
	**COLUMN 6**;
use english_T2_C7_SS.dta, clear; 
    qui  foreach y in  ln_credit ir_fr_bof  bof_firmrisk    gdp_bof_firmrisk   cpi_bof_fr   blr_firmrisk      broa_firmrisk       bln_firmrisk      bdr_firmrisk      bcb_firmrisk     bsb_firmrisk          ir_blr_fr         ir_broa_fr       ir_bln_fr       ir_bdr_fr     ir_bcb_fr     ir_bsb_fr{;
    egen m_`y'=mean(`y')  , by(id_firm_month);
    gen u=1;
    egen m2_`y'=mean(`y') , by(u);
    replace `y'=`y'-m_`y'+m2_`y' ;
    drop u m2_* m_*;
  }; 
  qui tab id_bank_month, gen(cod_bm_);
  local v13=r(r);
  qui  forvalues y=1/`v13'{;
    egen m_cod_bm_`y'=mean(cod_bm_`y') , by(id_firm_month);
    gen u=1;
    egen m2_cod_bm_`y'=mean(cod_bm_`y'), by(u);
    replace cod_bm_`y'=cod_bm_`y'-m_cod_bm_`y'+m2_cod_bm_`y';
    drop u m2_* m_*;
  };  
  qui forvalues x=1/`v13'{;
  sum cod_bm_`x';
  if r(sd)==0 {;
    drop z_cod_bm_`x';
  };
};
xi: cgmreg  ln_credit ir_fr_bof  bof_firmrisk    gdp_bof_firmrisk   cpi_bof_fr   blr_firmrisk      broa_firmrisk       bln_firmrisk      bdr_firmrisk      bcb_firmrisk     bsb_firmrisk          ir_blr_fr         ir_broa_fr       ir_bln_fr       ir_bdr_fr     ir_bcb_fr     ir_bsb_fr cod_bm_2-cod_bm_`v13', cluster(id_firm id_bank id_month);	   
***************************************************************************;
********************************************************************TABLE 4;
***************************************************************************;
********************************;
********************FIRST STAGE;
********************************;
	**COLUMN 1**;
local l="5";
use english_T3_C1_FS.dta, clear;																							
foreach y in  granting ir_fr_bof`l'   b_own_funds_ratio   ir_bof   bof_firmrisk`l'   gdp_bof    gdp_bof_firmrisk`l'   cpi_bof   cpi_bof_fr`l'   b_liquidity_ratio   b_roa   b_ln_assets   b_doubtful_ratio      blr_firmrisk`l'      broa_firmrisk`l'       bln_firmrisk`l'      bdr_firmrisk`l'      bcb_firmrisk`l'     bsb_firmrisk`l'       ir_blr       ir_broa       ir_bln        ir_bdr      ir_bcb     ir_bsb        ir_blr_fr`l'         ir_broa_fr`l'       ir_bln_fr`l'       ir_bdr_fr`l'     ir_bcb_fr`l'     ir_bsb_fr`l'{;
  egen m_`y'=mean(`y')  , by(id_firm_month);
  gen u=1;
  egen m2_`y'=mean(`y') , by(u);
  replace `y'=`y'-m_`y'+m2_`y' ;
  drop u m2_* m_*;
};
forvalues y=1/155{;
  egen m_cod_enti_`y'=mean(cod_enti_`y') , by(id_firm_month);
  gen u=1;
  egen m2_cod_enti_`y'=mean(cod_enti_`y'), by(u);
  replace cod_enti_`y'=cod_enti_`y'-m_cod_enti_`y'+m2_cod_enti_`y';
  drop u m2_* m_*;
}; 
xi: cgmreg  granting ir_fr_bof`l'   b_own_funds_ratio   ir_bof   bof_firmrisk`l'   gdp_bof    gdp_bof_firmrisk`l'   cpi_bof   cpi_bof_fr`l'   b_liquidity_ratio   b_roa   b_ln_assets   b_doubtful_ratio      blr_firmrisk`l'      broa_firmrisk`l'       bln_firmrisk`l'      bdr_firmrisk`l'      bcb_firmrisk`l'     bsb_firmrisk`l'       ir_blr       ir_broa       ir_bln        ir_bdr      ir_bcb     ir_bsb        ir_blr_fr`l'         ir_broa_fr`l'       ir_bln_fr`l'       ir_bdr_fr`l'     ir_bcb_fr`l'     ir_bsb_fr`l' cod_enti_2-cod_enti_155 , cluster(id_firm id_bank  id_month);	  
	**COLUMN 3**;
local l="3";
use english_T3_C3_FS.dta, clear;																							
foreach y in  granting ir_fr_bof`l'   b_own_funds_ratio   ir_bof   bof_firmrisk`l'   gdp_bof    gdp_bof_firmrisk`l'   cpi_bof   cpi_bof_fr`l'   b_liquidity_ratio   b_roa   b_ln_assets   b_doubtful_ratio      blr_firmrisk`l'      broa_firmrisk`l'       bln_firmrisk`l'      bdr_firmrisk`l'      bcb_firmrisk`l'     bsb_firmrisk`l'       ir_blr       ir_broa       ir_bln        ir_bdr      ir_bcb     ir_bsb        ir_blr_fr`l'         ir_broa_fr`l'       ir_bln_fr`l'       ir_bdr_fr`l'     ir_bcb_fr`l'     ir_bsb_fr`l'{;
  egen m_`y'=mean(`y')  , by(id_firm_month);
  gen u=1;
  egen m2_`y'=mean(`y') , by(u);
  replace `y'=`y'-m_`y'+m2_`y' ;
  drop u m2_* m_*;
};
forvalues y=1/155{;
  egen m_cod_enti_`y'=mean(cod_enti_`y') , by(id_firm_month);
  gen u=1;
  egen m2_cod_enti_`y'=mean(cod_enti_`y'), by(u);
  replace cod_enti_`y'=cod_enti_`y'-m_cod_enti_`y'+m2_cod_enti_`y';
  drop u m2_* m_*;
}; 
xi: cgmreg  granting ir_fr_bof`l'   b_own_funds_ratio   ir_bof   bof_firmrisk`l'   gdp_bof    gdp_bof_firmrisk`l'   cpi_bof   cpi_bof_fr`l'   b_liquidity_ratio   b_roa   b_ln_assets   b_doubtful_ratio      blr_firmrisk`l'      broa_firmrisk`l'       bln_firmrisk`l'      bdr_firmrisk`l'      bcb_firmrisk`l'     bsb_firmrisk`l'       ir_blr       ir_broa       ir_bln        ir_bdr      ir_bcb     ir_bsb        ir_blr_fr`l'         ir_broa_fr`l'       ir_bln_fr`l'       ir_bdr_fr`l'     ir_bcb_fr`l'     ir_bsb_fr`l' cod_enti_2-cod_enti_155 , cluster(id_firm id_bank  id_month);	  
	**COLUMN 4**;
local l="2";
use english_T3_C4_FS.dta, clear;																							
foreach y in  granting ir_fr_bof`l'   b_own_funds_ratio   ir_bof   bof_firmrisk`l'   gdp_bof    gdp_bof_firmrisk`l'   cpi_bof   cpi_bof_fr`l'   b_liquidity_ratio   b_roa   b_ln_assets   b_doubtful_ratio      blr_firmrisk`l'      broa_firmrisk`l'       bln_firmrisk`l'      bdr_firmrisk`l'      bcb_firmrisk`l'     bsb_firmrisk`l'       ir_blr       ir_broa       ir_bln        ir_bdr      ir_bcb     ir_bsb        ir_blr_fr`l'         ir_broa_fr`l'       ir_bln_fr`l'       ir_bdr_fr`l'     ir_bcb_fr`l'     ir_bsb_fr`l'{;
  egen m_`y'=mean(`y')  , by(id_firm_month);
  gen u=1;
  egen m2_`y'=mean(`y') , by(u);
  replace `y'=`y'-m_`y'+m2_`y' ;
  drop u m2_* m_*;
};
forvalues y=1/155{;
  egen m_cod_enti_`y'=mean(cod_enti_`y') , by(id_firm_month);
  gen u=1;
  egen m2_cod_enti_`y'=mean(cod_enti_`y'), by(u);
  replace cod_enti_`y'=cod_enti_`y'-m_cod_enti_`y'+m2_cod_enti_`y';
  drop u m2_* m_*;
}; 
xi: cgmreg  granting ir_fr_bof`l'   b_own_funds_ratio   ir_bof   bof_firmrisk`l'   gdp_bof    gdp_bof_firmrisk`l'   cpi_bof   cpi_bof_fr`l'   b_liquidity_ratio   b_roa   b_ln_assets   b_doubtful_ratio      blr_firmrisk`l'      broa_firmrisk`l'       bln_firmrisk`l'      bdr_firmrisk`l'      bcb_firmrisk`l'     bsb_firmrisk`l'       ir_blr       ir_broa       ir_bln        ir_bdr      ir_bcb     ir_bsb        ir_blr_fr`l'         ir_broa_fr`l'       ir_bln_fr`l'       ir_bdr_fr`l'     ir_bcb_fr`l'     ir_bsb_fr`l' cod_enti_2-cod_enti_155 , cluster(id_firm id_bank  id_month);	  
	**COLUMN 5**;
local l="1";
use english_T3_C5_FS.dta, clear;																							
foreach y in  granting ir_fr_bof`l'   b_own_funds_ratio   ir_bof   bof_firmrisk`l'   gdp_bof    gdp_bof_firmrisk`l'   cpi_bof   cpi_bof_fr`l'   b_liquidity_ratio   b_roa   b_ln_assets   b_doubtful_ratio      blr_firmrisk`l'      broa_firmrisk`l'       bln_firmrisk`l'      bdr_firmrisk`l'      bcb_firmrisk`l'     bsb_firmrisk`l'       ir_blr       ir_broa       ir_bln        ir_bdr      ir_bcb     ir_bsb        ir_blr_fr`l'         ir_broa_fr`l'       ir_bln_fr`l'       ir_bdr_fr`l'     ir_bcb_fr`l'     ir_bsb_fr`l'{;
  egen m_`y'=mean(`y')  , by(id_firm_month);
  gen u=1;
  egen m2_`y'=mean(`y') , by(u);
  replace `y'=`y'-m_`y'+m2_`y' ;
  drop u m2_* m_*;
};
forvalues y=1/155{;
  egen m_cod_enti_`y'=mean(cod_enti_`y') , by(id_firm_month);
  gen u=1;
  egen m2_cod_enti_`y'=mean(cod_enti_`y'), by(u);
  replace cod_enti_`y'=cod_enti_`y'-m_cod_enti_`y'+m2_cod_enti_`y';
  drop u m2_* m_*;
}; 
xi: cgmreg  granting ir_fr_bof`l'   b_own_funds_ratio   ir_bof   bof_firmrisk`l'   gdp_bof    gdp_bof_firmrisk`l'   cpi_bof   cpi_bof_fr`l'   b_liquidity_ratio   b_roa   b_ln_assets   b_doubtful_ratio      blr_firmrisk`l'      broa_firmrisk`l'       bln_firmrisk`l'      bdr_firmrisk`l'      bcb_firmrisk`l'     bsb_firmrisk`l'       ir_blr       ir_broa       ir_bln        ir_bdr      ir_bcb     ir_bsb        ir_blr_fr`l'         ir_broa_fr`l'       ir_bln_fr`l'       ir_bdr_fr`l'     ir_bcb_fr`l'     ir_bsb_fr`l' cod_enti_2-cod_enti_155 , cluster(id_firm id_bank  id_month);	  
********************************;
********************SECOND STAGE;
********************************;
	**COLUMN 1**;
local l="5";
use english_T3_C1_SS.dta, clear; 
gen kernel=sqrt(abs(normalden(Y_beta1/.16858698))/((t-1)*.16858698));
qui foreach x in ln_credit ir_fr_bof`l'   b_own_funds_ratio   ir_bof   bof_firmrisk`l'   gdp_bof    gdp_bof_firmrisk`l'   cpi_bof   cpi_bof_fr`l'   b_liquidity_ratio   b_roa   b_ln_assets   b_doubtful_ratio      blr_firmrisk`l'      broa_firmrisk`l'       bln_firmrisk`l'      bdr_firmrisk`l'      bcb_firmrisk`l'     bsb_firmrisk`l'       ir_blr       ir_broa       ir_bln        ir_bdr      ir_bcb     ir_bsb        ir_blr_fr`l'         ir_broa_fr`l'       ir_bln_fr`l'       ir_bdr_fr`l'     ir_bcb_fr`l'     ir_bsb_fr`l'{;
  gen z_`x'=`x'*kernel;
};
qui forvalues x=1/155{;
  gen z_cod_enti_`x'=cod_enti_`x'*kernel;
};
qui cgmreg z_ln_credit z_ir_fr_bof`l'   z_b_own_funds_ratio   z_ir_bof   z_bof_firmrisk`l'   z_gdp_bof    z_gdp_bof_firmrisk`l'   z_cpi_bof   z_cpi_bof_fr`l'   z_b_liquidity_ratio   z_b_roa   z_b_ln_assets   z_b_doubtful_ratio      z_blr_firmrisk`l'      z_broa_firmrisk`l'       z_bln_firmrisk`l'      z_bdr_firmrisk`l'      z_bcb_firmrisk`l'     z_bsb_firmrisk`l'       z_ir_blr       z_ir_broa       z_ir_bln        z_ir_bdr      z_ir_bcb     z_ir_bsb        z_ir_blr_fr`l'         z_ir_broa_fr`l'       z_ir_bln_fr`l'       z_ir_bdr_fr`l'     z_ir_bcb_fr`l'     z_ir_bsb_fr`l' z_cod_enti_2-z_cod_enti_155, cluster(id_firm id_bank id_month);
matrix b1=e(b)';
matrix V=e(V);
mata: VV=st_matrix("V");
mata: SE=diagonal (VV):^.5;
mata: st_matrix("SE",SE);
replace kernel=sqrt(abs(normalden(Y_beta1/.98615578))/((t-1)*.98615578));
qui foreach x in ln_credit ir_fr_bof`l'   b_own_funds_ratio   ir_bof   bof_firmrisk`l'   gdp_bof    gdp_bof_firmrisk`l'   cpi_bof   cpi_bof_fr`l'   b_liquidity_ratio   b_roa   b_ln_assets   b_doubtful_ratio      blr_firmrisk`l'      broa_firmrisk`l'       bln_firmrisk`l'      bdr_firmrisk`l'      bcb_firmrisk`l'     bsb_firmrisk`l'       ir_blr       ir_broa       ir_bln        ir_bdr      ir_bcb     ir_bsb        ir_blr_fr`l'         ir_broa_fr`l'       ir_bln_fr`l'       ir_bdr_fr`l'     ir_bcb_fr`l'     ir_bsb_fr`l'{;
  replace z_`x'=`x'*kernel;
};
qui forvalues x=1/155{;
  replace z_cod_enti_`x'=cod_enti_`x'*kernel;
};
qui reg z_ln_credit z_ir_fr_bof`l'   z_b_own_funds_ratio   z_ir_bof   z_bof_firmrisk`l'   z_gdp_bof    z_gdp_bof_firmrisk`l'   z_cpi_bof   z_cpi_bof_fr`l'   z_b_liquidity_ratio   z_b_roa   z_b_ln_assets   z_b_doubtful_ratio      z_blr_firmrisk`l'      z_broa_firmrisk`l'       z_bln_firmrisk`l'      z_bdr_firmrisk`l'      z_bcb_firmrisk`l'     z_bsb_firmrisk`l'       z_ir_blr       z_ir_broa       z_ir_bln        z_ir_bdr      z_ir_bcb     z_ir_bsb        z_ir_blr_fr`l'         z_ir_broa_fr`l'       z_ir_bln_fr`l'       z_ir_bdr_fr`l'     z_ir_bcb_fr`l'     z_ir_bsb_fr`l'  z_cod_enti_2-z_cod_enti_155;
matrix b2=e(b)';
matrix B=(b1-b2*.02922517)/(1-(.02922517));
mata: B=st_matrix("B");
mata: t=B:/SE;
mata: pvalue=2:*(1:-normal(abs(t)));
mata: z=invnormal(.05/2);
mata: cii=B:+z:*SE;
mata: cis=B:-z:*SE;
mata: st_matrix("t",t);
mata: st_matrix("pvalue",pvalue);
matrix table= (B, SE,t,pvalue);
matrix C= table[1..10,.];
matrix list C;
	**COLUMN 3**;
local l="3";
use english_T3_C3_SS.dta, clear; 
gen kernel=sqrt(abs(normalden(Y_beta1/.14048915))/((t-1)*.14048915));
qui foreach x in ln_credit ir_fr_bof`l'   b_own_funds_ratio   ir_bof   bof_firmrisk`l'   gdp_bof    gdp_bof_firmrisk`l'   cpi_bof   cpi_bof_fr`l'   b_liquidity_ratio   b_roa   b_ln_assets   b_doubtful_ratio      blr_firmrisk`l'      broa_firmrisk`l'       bln_firmrisk`l'      bdr_firmrisk`l'      bcb_firmrisk`l'     bsb_firmrisk`l'       ir_blr       ir_broa       ir_bln        ir_bdr      ir_bcb     ir_bsb        ir_blr_fr`l'         ir_broa_fr`l'       ir_bln_fr`l'       ir_bdr_fr`l'     ir_bcb_fr`l'     ir_bsb_fr`l'{;
  gen z_`x'=`x'*kernel;
};
qui forvalues x=1/155{;
  gen z_cod_enti_`x'=cod_enti_`x'*kernel;
};
qui cgmreg z_ln_credit z_ir_fr_bof`l'   z_b_own_funds_ratio   z_ir_bof   z_bof_firmrisk`l'   z_gdp_bof    z_gdp_bof_firmrisk`l'   z_cpi_bof   z_cpi_bof_fr`l'   z_b_liquidity_ratio   z_b_roa   z_b_ln_assets   z_b_doubtful_ratio      z_blr_firmrisk`l'      z_broa_firmrisk`l'       z_bln_firmrisk`l'      z_bdr_firmrisk`l'      z_bcb_firmrisk`l'     z_bsb_firmrisk`l'       z_ir_blr       z_ir_broa       z_ir_bln        z_ir_bdr      z_ir_bcb     z_ir_bsb        z_ir_blr_fr`l'         z_ir_broa_fr`l'       z_ir_bln_fr`l'       z_ir_bdr_fr`l'     z_ir_bcb_fr`l'     z_ir_bsb_fr`l' z_cod_enti_2-z_cod_enti_155, cluster(id_firm id_bank id_month);
matrix b1=e(b)';
matrix V=e(V);
mata: VV=st_matrix("V");
mata: SE=diagonal (VV):^.5;
mata: st_matrix("SE",SE);
replace kernel=sqrt(abs(normalden(Y_beta1/.82179648))/((t-1)*.82179648));
qui foreach x in ln_credit ir_fr_bof`l'   b_own_funds_ratio   ir_bof   bof_firmrisk`l'   gdp_bof    gdp_bof_firmrisk`l'   cpi_bof   cpi_bof_fr`l'   b_liquidity_ratio   b_roa   b_ln_assets   b_doubtful_ratio      blr_firmrisk`l'      broa_firmrisk`l'       bln_firmrisk`l'      bdr_firmrisk`l'      bcb_firmrisk`l'     bsb_firmrisk`l'       ir_blr       ir_broa       ir_bln        ir_bdr      ir_bcb     ir_bsb        ir_blr_fr`l'         ir_broa_fr`l'       ir_bln_fr`l'       ir_bdr_fr`l'     ir_bcb_fr`l'     ir_bsb_fr`l'{;
  replace z_`x'=`x'*kernel;
};
qui forvalues x=1/155{;
  replace z_cod_enti_`x'=cod_enti_`x'*kernel;
};
qui reg z_ln_credit z_ir_fr_bof`l'   z_b_own_funds_ratio   z_ir_bof   z_bof_firmrisk`l'   z_gdp_bof    z_gdp_bof_firmrisk`l'   z_cpi_bof   z_cpi_bof_fr`l'   z_b_liquidity_ratio   z_b_roa   z_b_ln_assets   z_b_doubtful_ratio      z_blr_firmrisk`l'      z_broa_firmrisk`l'       z_bln_firmrisk`l'      z_bdr_firmrisk`l'      z_bcb_firmrisk`l'     z_bsb_firmrisk`l'       z_ir_blr       z_ir_broa       z_ir_bln        z_ir_bdr      z_ir_bcb     z_ir_bsb        z_ir_blr_fr`l'         z_ir_broa_fr`l'       z_ir_bln_fr`l'       z_ir_bdr_fr`l'     z_ir_bcb_fr`l'     z_ir_bsb_fr`l'  z_cod_enti_2-z_cod_enti_155;
matrix b2=e(b)';
matrix B=(b1-b2*.02922517)/(1-(.02922517));
mata: B=st_matrix("B");
mata: t=B:/SE;
mata: pvalue=2:*(1:-normal(abs(t)));
mata: z=invnormal(.05/2);
mata: cii=B:+z:*SE;
mata: cis=B:-z:*SE;
mata: st_matrix("t",t);
mata: st_matrix("pvalue",pvalue);
matrix table= (B, SE,t,pvalue);
matrix C= table[1..10,.];
matrix list C;
	**COLUMN 4**;
local l="2";
use english_T3_C4_SS.dta, clear; 
gen kernel=sqrt(abs(normalden(Y_beta1/.18263589))/((t-1)*.18263589));
qui foreach x in ln_credit ir_fr_bof`l'   b_own_funds_ratio   ir_bof   bof_firmrisk`l'   gdp_bof    gdp_bof_firmrisk`l'   cpi_bof   cpi_bof_fr`l'   b_liquidity_ratio   b_roa   b_ln_assets   b_doubtful_ratio      blr_firmrisk`l'      broa_firmrisk`l'       bln_firmrisk`l'      bdr_firmrisk`l'      bcb_firmrisk`l'     bsb_firmrisk`l'       ir_blr       ir_broa       ir_bln        ir_bdr      ir_bcb     ir_bsb        ir_blr_fr`l'         ir_broa_fr`l'       ir_bln_fr`l'       ir_bdr_fr`l'     ir_bcb_fr`l'     ir_bsb_fr`l'{;
  gen z_`x'=`x'*kernel;
};
qui forvalues x=1/155{;
  gen z_cod_enti_`x'=cod_enti_`x'*kernel;
};
qui cgmreg z_ln_credit z_ir_fr_bof`l'   z_b_own_funds_ratio   z_ir_bof   z_bof_firmrisk`l'   z_gdp_bof    z_gdp_bof_firmrisk`l'   z_cpi_bof   z_cpi_bof_fr`l'   z_b_liquidity_ratio   z_b_roa   z_b_ln_assets   z_b_doubtful_ratio      z_blr_firmrisk`l'      z_broa_firmrisk`l'       z_bln_firmrisk`l'      z_bdr_firmrisk`l'      z_bcb_firmrisk`l'     z_bsb_firmrisk`l'       z_ir_blr       z_ir_broa       z_ir_bln        z_ir_bdr      z_ir_bcb     z_ir_bsb        z_ir_blr_fr`l'         z_ir_broa_fr`l'       z_ir_bln_fr`l'       z_ir_bdr_fr`l'     z_ir_bcb_fr`l'     z_ir_bsb_fr`l' z_cod_enti_2-z_cod_enti_155, cluster(id_firm id_bank id_month);
matrix b1=e(b)';
matrix V=e(V);
mata: VV=st_matrix("V");
mata: SE=diagonal (VV):^.5;
mata: st_matrix("SE",SE);
replace kernel=sqrt(abs(normalden(Y_beta1/1.0683354))/((t-1)*1.0683354));
qui foreach x in ln_credit ir_fr_bof`l'   b_own_funds_ratio   ir_bof   bof_firmrisk`l'   gdp_bof    gdp_bof_firmrisk`l'   cpi_bof   cpi_bof_fr`l'   b_liquidity_ratio   b_roa   b_ln_assets   b_doubtful_ratio      blr_firmrisk`l'      broa_firmrisk`l'       bln_firmrisk`l'      bdr_firmrisk`l'      bcb_firmrisk`l'     bsb_firmrisk`l'       ir_blr       ir_broa       ir_bln        ir_bdr      ir_bcb     ir_bsb        ir_blr_fr`l'         ir_broa_fr`l'       ir_bln_fr`l'       ir_bdr_fr`l'     ir_bcb_fr`l'     ir_bsb_fr`l'{;
  replace z_`x'=`x'*kernel;
};
qui forvalues x=1/155{;
  replace z_cod_enti_`x'=cod_enti_`x'*kernel;
};
qui reg z_ln_credit z_ir_fr_bof`l'   z_b_own_funds_ratio   z_ir_bof   z_bof_firmrisk`l'   z_gdp_bof    z_gdp_bof_firmrisk`l'   z_cpi_bof   z_cpi_bof_fr`l'   z_b_liquidity_ratio   z_b_roa   z_b_ln_assets   z_b_doubtful_ratio      z_blr_firmrisk`l'      z_broa_firmrisk`l'       z_bln_firmrisk`l'      z_bdr_firmrisk`l'      z_bcb_firmrisk`l'     z_bsb_firmrisk`l'       z_ir_blr       z_ir_broa       z_ir_bln        z_ir_bdr      z_ir_bcb     z_ir_bsb        z_ir_blr_fr`l'         z_ir_broa_fr`l'       z_ir_bln_fr`l'       z_ir_bdr_fr`l'     z_ir_bcb_fr`l'     z_ir_bsb_fr`l'  z_cod_enti_2-z_cod_enti_155;
matrix b2=e(b)';
matrix B=(b1-b2*.02922517)/(1-(.02922517));
mata: B=st_matrix("B");
mata: t=B:/SE;
mata: pvalue=2:*(1:-normal(abs(t)));
mata: z=invnormal(.05/2);
mata: cii=B:+z:*SE;
mata: cis=B:-z:*SE;
mata: st_matrix("t",t);
mata: st_matrix("pvalue",pvalue);
matrix table= (B, SE,t,pvalue);
matrix C= table[1..10,.];
matrix list C;
	**COLUMN 5**;
local l="1";
use english_T3_C5_SS.dta, clear; 
gen kernel=sqrt(abs(normalden(Y_beta1/.21073372))/((t-1)*.21073372));
qui foreach x in ln_credit ir_fr_bof`l'   b_own_funds_ratio   ir_bof   bof_firmrisk`l'   gdp_bof    gdp_bof_firmrisk`l'   cpi_bof   cpi_bof_fr`l'   b_liquidity_ratio   b_roa   b_ln_assets   b_doubtful_ratio      blr_firmrisk`l'      broa_firmrisk`l'       bln_firmrisk`l'      bdr_firmrisk`l'      bcb_firmrisk`l'     bsb_firmrisk`l'       ir_blr       ir_broa       ir_bln        ir_bdr      ir_bcb     ir_bsb        ir_blr_fr`l'         ir_broa_fr`l'       ir_bln_fr`l'       ir_bdr_fr`l'     ir_bcb_fr`l'     ir_bsb_fr`l'{;
  gen z_`x'=`x'*kernel;
};
qui forvalues x=1/155{;
  gen z_cod_enti_`x'=cod_enti_`x'*kernel;
};
qui cgmreg z_ln_credit z_ir_fr_bof`l'   z_b_own_funds_ratio   z_ir_bof   z_bof_firmrisk`l'   z_gdp_bof    z_gdp_bof_firmrisk`l'   z_cpi_bof   z_cpi_bof_fr`l'   z_b_liquidity_ratio   z_b_roa   z_b_ln_assets   z_b_doubtful_ratio      z_blr_firmrisk`l'      z_broa_firmrisk`l'       z_bln_firmrisk`l'      z_bdr_firmrisk`l'      z_bcb_firmrisk`l'     z_bsb_firmrisk`l'       z_ir_blr       z_ir_broa       z_ir_bln        z_ir_bdr      z_ir_bcb     z_ir_bsb        z_ir_blr_fr`l'         z_ir_broa_fr`l'       z_ir_bln_fr`l'       z_ir_bdr_fr`l'     z_ir_bcb_fr`l'     z_ir_bsb_fr`l' z_cod_enti_2-z_cod_enti_155, cluster(id_firm id_bank id_month);
matrix b1=e(b)';
matrix V=e(V);
mata: VV=st_matrix("V");
mata: SE=diagonal (VV):^.5;
mata: st_matrix("SE",SE);
replace kernel=sqrt(abs(normalden(Y_beta1/1.2326947))/((t-1)*1.2326947));
qui foreach x in ln_credit ir_fr_bof`l'   b_own_funds_ratio   ir_bof   bof_firmrisk`l'   gdp_bof    gdp_bof_firmrisk`l'   cpi_bof   cpi_bof_fr`l'   b_liquidity_ratio   b_roa   b_ln_assets   b_doubtful_ratio      blr_firmrisk`l'      broa_firmrisk`l'       bln_firmrisk`l'      bdr_firmrisk`l'      bcb_firmrisk`l'     bsb_firmrisk`l'       ir_blr       ir_broa       ir_bln        ir_bdr      ir_bcb     ir_bsb        ir_blr_fr`l'         ir_broa_fr`l'       ir_bln_fr`l'       ir_bdr_fr`l'     ir_bcb_fr`l'     ir_bsb_fr`l'{;
  replace z_`x'=`x'*kernel;
};
qui forvalues x=1/155{;
  replace z_cod_enti_`x'=cod_enti_`x'*kernel;
};
qui reg z_ln_credit z_ir_fr_bof`l'   z_b_own_funds_ratio   z_ir_bof   z_bof_firmrisk`l'   z_gdp_bof    z_gdp_bof_firmrisk`l'   z_cpi_bof   z_cpi_bof_fr`l'   z_b_liquidity_ratio   z_b_roa   z_b_ln_assets   z_b_doubtful_ratio      z_blr_firmrisk`l'      z_broa_firmrisk`l'       z_bln_firmrisk`l'      z_bdr_firmrisk`l'      z_bcb_firmrisk`l'     z_bsb_firmrisk`l'       z_ir_blr       z_ir_broa       z_ir_bln        z_ir_bdr      z_ir_bcb     z_ir_bsb        z_ir_blr_fr`l'         z_ir_broa_fr`l'       z_ir_bln_fr`l'       z_ir_bdr_fr`l'     z_ir_bcb_fr`l'     z_ir_bsb_fr`l'  z_cod_enti_2-z_cod_enti_155;
matrix b2=e(b)';
matrix B=(b1-b2*.02922517)/(1-(.02922517));
mata: B=st_matrix("B");
mata: t=B:/SE;
mata: pvalue=2:*(1:-normal(abs(t)));
mata: z=invnormal(.05/2);
mata: cii=B:+z:*SE;
mata: cis=B:-z:*SE;
mata: st_matrix("t",t);
mata: st_matrix("pvalue",pvalue);
matrix table= (B, SE,t,pvalue);
matrix C= table[1..10,.];
matrix list C;
***************************************************************************;
********************************************************************TABLE 5;
***************************************************************************;
********************************;
********************FIRST STAGE;
********************************;
	*COLUMN 1 TO 3**;
use english_T4_C1_FS_prueba.dta, clear;																							

foreach y in  time time2 granting ir gdp cpi firm_risk  b_own_funds_ratio   ir_bof   gdp_bof    cpi_bof   b_liquidity_ratio   b_roa   b_ln_assets   b_doubtful_ratio   b_commercial_bank b_savings_bank    ir_blr       ir_broa       ir_bln        ir_bdr      ir_bcb     ir_bsb        {;
  egen m_`y'=mean(`y')  , by(id_firm);
  gen u=1;
  egen m2_`y'=mean(`y') , by(u);
  replace `y'=`y'-m_`y'+m2_`y' ;
  drop u m2_* m_*;
};
forvalues y=1/155{;
  egen m_cod_enti_`y'=mean(cod_enti_`y') , by(id_firm);
  gen u=1;
  egen m2_cod_enti_`y'=mean(cod_enti_`y'), by(u);
  replace cod_enti_`y'=cod_enti_`y'-m_cod_enti_`y'+m2_cod_enti_`y';
  drop u m2_* m_*;
};
forvalues y=1/83{;
  egen m_cod_m_`y'=mean(cod_m_`y') , by(id_firm);
  gen u=1;
  egen m2_cod_m_`y'=mean(cod_m_`y'), by(u);
  replace cod_m_`y'=cod_m_`y'-m_cod_m_`y'+m2_cod_m_`y';
  drop u m2_* m_*;
}; 
	*COLUMN 1**;
cgmreg     granting ir gdp cpi firm_risk  b_own_funds_ratio   ir_bof   gdp_bof    cpi_bof   b_liquidity_ratio   b_roa   b_ln_assets   b_doubtful_ratio   b_commercial_bank b_savings_bank    ir_blr       ir_broa       ir_bln        ir_bdr      ir_bcb     ir_bsb    time time2 , cluster(id_firm id_bank id_month);	  	 
	*COLUMN 2**;
cgmreg     granting ir gdp cpi firm_risk  b_own_funds_ratio   ir_bof   gdp_bof    cpi_bof   b_liquidity_ratio   b_roa   b_ln_assets   b_doubtful_ratio       ir_blr       ir_broa       ir_bln        ir_bdr      ir_bcb     ir_bsb    time time2 cod_enti_2-cod_enti_155, cluster(id_firm id_bank id_month);	  	 
	*COLUMN 3**;
cgmreg    granting  firm_risk  b_own_funds_ratio   ir_bof   gdp_bof    cpi_bof   b_liquidity_ratio   b_roa   b_ln_assets   b_doubtful_ratio       ir_blr       ir_broa       ir_bln        ir_bdr      ir_bcb     ir_bsb cod_m_2-cod_m_83  cod_enti_2-cod_enti_155, cluster(id_firm id_bank id_month);	  	 
	*COLUMN 4**;
use english_T4_C1_FS.dta, clear;																							
foreach y in  granting   b_own_funds_ratio   ir_bof   gdp_bof    cpi_bof   b_liquidity_ratio   b_roa   b_ln_assets   b_doubtful_ratio       ir_blr       ir_broa       ir_bln        ir_bdr      ir_bcb     ir_bsb        {;
  egen m_`y'=mean(`y')  , by(id_firm_month);
  gen u=1;
  egen m2_`y'=mean(`y') , by(u);
  replace `y'=`y'-m_`y'+m2_`y' ;
  drop u m2_* m_*;
};
forvalues y=1/155{;
  egen m_cod_enti_`y'=mean(cod_enti_`y') , by(id_firm_month);
  gen u=1;
  egen m2_cod_enti_`y'=mean(cod_enti_`y'), by(u);
  replace cod_enti_`y'=cod_enti_`y'-m_cod_enti_`y'+m2_cod_enti_`y';
  drop u m2_* m_*;
};
cgmreg    granting   b_own_funds_ratio   ir_bof   gdp_bof    cpi_bof   b_liquidity_ratio   b_roa   b_ln_assets   b_doubtful_ratio       ir_blr       ir_broa       ir_bln        ir_bdr      ir_bcb     ir_bsb  cod_enti_2-cod_enti_155, cluster(id_firm id_bank id_month);	  	 
	*COLUMN 5**;
use english_T4_C4_FS.dta, clear;                                                                        
foreach y in  granting b_own_funds_ratio   ir_bof   gdp_bof    cpi_bof   b_liquidity_ratio   b_roa   b_ln_assets   b_doubtful_ratio     ir_blr       ir_broa       ir_bln        ir_bdr      ir_bcb     ir_bsb       deficit_bof  sec_bof  irsus_bof {;
  egen m_`y'=mean(`y')  , by(id_firm_month);
  gen u=1;
  egen m2_`y'=mean(`y') , by(u);
  replace `y'=`y'-m_`y'+m2_`y' ;
  drop u m2_* m_*;
};
forvalues y=1/155{;
  egen m_cod_enti_`y'=mean(cod_enti_`y') , by(id_firm_month);
  gen u=1;
  egen m2_cod_enti_`y'=mean(cod_enti_`y'), by(u);
  replace cod_enti_`y'=cod_enti_`y'-m_cod_enti_`y'+m2_cod_enti_`y';
  drop u m2_* m_*;
};  
xi: cgmreg granting  b_own_funds_ratio   ir_bof   gdp_bof    cpi_bof   b_liquidity_ratio   b_roa   b_ln_assets   b_doubtful_ratio     ir_blr       ir_broa       ir_bln        ir_bdr      ir_bcb     ir_bsb       deficit_bof  sec_bof  irsus_bof  cod_enti_2-cod_enti_155, cluster(id_firm id_bank id_month);	                                                                                        
********************************;
********************SECOND STAGE;
********************************;
	*COLUMN 1**;
use english_T4_C1_SS.dta, clear; 
gen kernel=sqrt(abs(normalden(Y_beta1/.03305418))/((t-1)*.03305418));
qui foreach x in future_default ir gdp cpi firm_risk  b_own_funds_ratio   ir_bof   gdp_bof    cpi_bof   b_liquidity_ratio   b_roa   b_ln_assets   b_doubtful_ratio   b_commercial_bank b_savings_bank    ir_blr       ir_broa       ir_bln        ir_bdr      ir_bcb     ir_bsb    time time2{;
  gen z_`x'=`x'*kernel;
};
qui  cgmreg z_future_default z_ir z_gdp z_cpi z_firm_risk  z_b_own_funds_ratio   z_ir_bof   z_gdp_bof    z_cpi_bof   z_b_liquidity_ratio   z_b_roa   z_b_ln_assets   z_b_doubtful_ratio   z_b_commercial_bank z_b_savings_bank    z_ir_blr       z_ir_broa       z_ir_bln        z_ir_bdr      z_ir_bcb     z_ir_bsb    z_time z_time2, cluster(id_firm id_bank id_month);
matrix b1=e(b)';
matrix V=e(V);
mata: VV=st_matrix("V");
mata: SE=diagonal (VV):^.5;
mata: st_matrix("SE",SE);
replace kernel=sqrt(abs(normalden(Y_beta1/.04013068))/((t-1)*.04013068));
qui foreach x in future_default ir gdp cpi firm_risk  b_own_funds_ratio   ir_bof   gdp_bof    cpi_bof   b_liquidity_ratio   b_roa   b_ln_assets   b_doubtful_ratio   b_commercial_bank b_savings_bank    ir_blr       ir_broa       ir_bln        ir_bdr      ir_bcb     ir_bsb    time time2{;
  replace z_`x'=`x'*kernel;
};
qui reg z_future_default z_ir z_gdp z_cpi z_firm_risk  z_b_own_funds_ratio   z_ir_bof   z_gdp_bof    z_cpi_bof   z_b_liquidity_ratio   z_b_roa   z_b_ln_assets   z_b_doubtful_ratio   z_b_commercial_bank z_b_savings_bank    z_ir_blr       z_ir_broa       z_ir_bln        z_ir_bdr      z_ir_bcb     z_ir_bsb    z_time z_time2;
matrix b2=e(b)';
matrix B=(b1-b2*.67842167)/(1-(.67842167));
mata: B=st_matrix("B");
mata: t=B:/SE;
mata: pvalue=2:*(1:-normal(abs(t)));
mata: z=invnormal(.05/2);
mata: cii=B:+z:*SE;
mata: cis=B:-z:*SE;
mata: st_matrix("t",t);
mata: st_matrix("pvalue",pvalue);
matrix table= (B, SE,t,pvalue);
matrix C= table[1..11,.];
matrix list C;
	*COLUMN 2**;
use english_T4_C2_SS.dta, clear; 
gen kernel=sqrt(abs(normalden(Y_beta1/.04311415))/((t-1)*.04311415));
qui foreach x in future_default ir gdp cpi firm_risk  b_own_funds_ratio   ir_bof   gdp_bof    cpi_bof   b_liquidity_ratio   b_roa   b_ln_assets   b_doubtful_ratio   b_commercial_bank b_savings_bank    ir_blr       ir_broa       ir_bln        ir_bdr      ir_bcb     ir_bsb    time time2{;
  gen z_`x'=`x'*kernel;
};
qui forvalues x=1/155{;
  gen z_cod_enti_`x'=cod_enti_`x'*kernel;
};
qui  cgmreg z_future_default z_ir z_gdp z_cpi z_firm_risk  z_b_own_funds_ratio   z_ir_bof   z_gdp_bof    z_cpi_bof   z_b_liquidity_ratio   z_b_roa   z_b_ln_assets   z_b_doubtful_ratio       z_ir_blr       z_ir_broa       z_ir_bln        z_ir_bdr      z_ir_bcb     z_ir_bsb    z_time z_time2 z_cod_enti_2-z_cod_enti_155, cluster(id_firm id_bank id_month);
matrix b1=e(b)';
matrix V=e(V);
mata: VV=st_matrix("V");
mata: SE=diagonal (VV):^.5;
mata: st_matrix("SE",SE);
replace kernel=sqrt(abs(normalden(Y_beta1/.05234437))/((t-1)*.05234437));
qui foreach x in future_default ir gdp cpi firm_risk  b_own_funds_ratio   ir_bof   gdp_bof    cpi_bof   b_liquidity_ratio   b_roa   b_ln_assets   b_doubtful_ratio   b_commercial_bank b_savings_bank    ir_blr       ir_broa       ir_bln        ir_bdr      ir_bcb     ir_bsb    time time2{;
  replace z_`x'=`x'*kernel;
};
qui forvalues x=1/155{;
  replace z_cod_enti_`x'=cod_enti_`x'*kernel;
};
qui reg z_future_default z_ir z_gdp z_cpi z_firm_risk  z_b_own_funds_ratio   z_ir_bof   z_gdp_bof    z_cpi_bof   z_b_liquidity_ratio   z_b_roa   z_b_ln_assets   z_b_doubtful_ratio     z_ir_blr       z_ir_broa       z_ir_bln        z_ir_bdr      z_ir_bcb     z_ir_bsb    z_time z_time2 z_cod_enti_2-z_cod_enti_155;
matrix b2=e(b)';
matrix B=(b1-b2*.67842167)/(1-(.67842167));
mata: B=st_matrix("B");
mata: t=B:/SE;
mata: pvalue=2:*(1:-normal(abs(t)));
mata: z=invnormal(.05/2);
mata: cii=B:+z:*SE;
mata: cis=B:-z:*SE;
mata: st_matrix("t",t);
mata: st_matrix("pvalue",pvalue);
matrix table= (B, SE,t,pvalue);
matrix C= table[1..11,.];
matrix list C;
	*COLUMN 3**;
use english_T4_C3_SS.dta, clear; 
gen kernel=sqrt(abs(normalden(Y_beta1/.04311415))/((t-1)*.04311415));
qui foreach x in future_default  firm_risk  b_own_funds_ratio   ir_bof   gdp_bof    cpi_bof   b_liquidity_ratio   b_roa   b_ln_assets   b_doubtful_ratio   b_commercial_bank b_savings_bank    ir_blr       ir_broa       ir_bln        ir_bdr      ir_bcb     ir_bsb    {;
  gen z_`x'=`x'*kernel;
};
qui forvalues x=1/155{;
  gen z_cod_enti_`x'=cod_enti_`x'*kernel;
};
qui forvalues x=1/83{;
  gen z_cod_m_`x'=cod_m_`x'*kernel;
};
qui  cgmreg z_future_default  z_firm_risk  z_b_own_funds_ratio   z_ir_bof   z_gdp_bof    z_cpi_bof   z_b_liquidity_ratio   z_b_roa   z_b_ln_assets   z_b_doubtful_ratio       z_ir_blr       z_ir_broa       z_ir_bln        z_ir_bdr      z_ir_bcb     z_ir_bsb     z_cod_enti_2-z_cod_enti_155 z_cod_m_2-z_cod_m_83, cluster(id_firm id_bank id_month);
matrix b1=e(b)';
matrix V=e(V);
mata: VV=st_matrix("V");
mata: SE=diagonal (VV):^.5;
mata: st_matrix("SE",SE);
replace kernel=sqrt(abs(normalden(Y_beta1/.05234437))/((t-1)*.05234437));
qui foreach x in future_default firm_risk  b_own_funds_ratio   ir_bof   gdp_bof    cpi_bof   b_liquidity_ratio   b_roa   b_ln_assets   b_doubtful_ratio   b_commercial_bank b_savings_bank    ir_blr       ir_broa       ir_bln        ir_bdr      ir_bcb     ir_bsb  {;
  replace z_`x'=`x'*kernel;
};
qui forvalues x=1/155{;
  replace z_cod_enti_`x'=cod_enti_`x'*kernel;
};
qui forvalues x=1/83{;
  replace z_cod_m_`x'=cod_m_`x'*kernel;
};
qui reg z_future_default  z_firm_risk  z_b_own_funds_ratio   z_ir_bof   z_gdp_bof    z_cpi_bof   z_b_liquidity_ratio   z_b_roa   z_b_ln_assets   z_b_doubtful_ratio     z_ir_blr       z_ir_broa       z_ir_bln        z_ir_bdr      z_ir_bcb     z_ir_bsb     z_cod_enti_2-z_cod_enti_155 z_cod_m_2-z_cod_m_83;
matrix b2=e(b)';
matrix B=(b1-b2*.67842167)/(1-(.67842167));
mata: B=st_matrix("B");
mata: t=B:/SE;
mata: pvalue=2:*(1:-normal(abs(t)));
mata: z=invnormal(.05/2);
mata: cii=B:+z:*SE;
mata: cis=B:-z:*SE;
mata: st_matrix("t",t);
mata: st_matrix("pvalue",pvalue);
matrix table= (B, SE,t,pvalue);
matrix C= table[1..11,.];
matrix list C;
	*COLUMN 4**;
use english_T4_C4_SS.dta, clear; 
gen kernel=sqrt(abs(normalden(Y_beta1/.04214674))/((t-1)*.04214674));
qui foreach x in future_default   b_own_funds_ratio   ir_bof   gdp_bof    cpi_bof   b_liquidity_ratio   b_roa   b_ln_assets   b_doubtful_ratio      ir_blr       ir_broa       ir_bln        ir_bdr      ir_bcb     ir_bsb    {;
  gen z_`x'=`x'*kernel;
};
qui forvalues x=1/155{;
  gen z_cod_enti_`x'=cod_enti_`x'*kernel;
};
qui cgmreg z_future_default z_b_own_funds_ratio   z_ir_bof   z_gdp_bof    z_cpi_bof   z_b_liquidity_ratio   z_b_roa   z_b_ln_assets   z_b_doubtful_ratio      z_ir_blr       z_ir_broa       z_ir_bln        z_ir_bdr      z_ir_bcb     z_ir_bsb     z_cod_enti_2-z_cod_enti_155, cluster(id_firm id_bank id_month);
matrix b1=e(b)';
matrix V=e(V);
mata: VV=st_matrix("V");
mata: SE=diagonal (VV):^.5;
mata: st_matrix("SE",SE);
replace kernel=sqrt(abs(normalden(Y_beta1/.05128611))/((t-1)*.05128611));
qui foreach x in future_default   b_own_funds_ratio   ir_bof   gdp_bof    cpi_bof   b_liquidity_ratio   b_roa   b_ln_assets   b_doubtful_ratio      ir_blr       ir_broa       ir_bln        ir_bdr      ir_bcb     ir_bsb    {;
  replace z_`x'=`x'*kernel;
};
qui forvalues x=1/155{;
  replace z_cod_enti_`x'=cod_enti_`x'*kernel;
};
qui reg z_future_default   z_b_own_funds_ratio   z_ir_bof   z_gdp_bof    z_cpi_bof   z_b_liquidity_ratio   z_b_roa   z_b_ln_assets   z_b_doubtful_ratio      z_ir_blr       z_ir_broa       z_ir_bln        z_ir_bdr      z_ir_bcb     z_ir_bsb     z_cod_enti_2-z_cod_enti_155;
matrix b2=e(b)';
matrix B=(b1-b2*.67534946)/(1-(.67534946));
mata: B=st_matrix("B");
mata: t=B:/SE;
mata: pvalue=2:*(1:-normal(abs(t)));
mata: z=invnormal(.05/2);
mata: cii=B:+z:*SE;
mata: cis=B:-z:*SE;
mata: st_matrix("t",t);
mata: st_matrix("pvalue",pvalue);
matrix table= (B, SE,t,pvalue);
matrix C= table[1..30,.];
matrix list C;	
	*COLUMN 5**;
use english_T4_C5_SS.dta, clear; 
gen kernel=sqrt(abs(normalden(Y_beta1/.04214674))/((t-1)*.04214674));
qui foreach x in future_default   b_own_funds_ratio   ir_bof   gdp_bof    cpi_bof   b_liquidity_ratio   b_roa   b_ln_assets   b_doubtful_ratio       ir_blr       ir_broa       ir_bln        ir_bdr      ir_bcb     ir_bsb       deficit_bof  sec_bof irsus_bof    {;
  gen z_`x'=`x'*kernel;
};
qui forvalues x=1/155{;
  gen z_cod_enti_`x'=cod_enti_`x'*kernel;
};
qui cgmreg z_future_default z_b_own_funds_ratio   z_ir_bof   z_gdp_bof    z_cpi_bof   z_b_liquidity_ratio   z_b_roa   z_b_ln_assets   z_b_doubtful_ratio      z_ir_blr       z_ir_broa       z_ir_bln        z_ir_bdr      z_ir_bcb     z_ir_bsb   z_deficit_bof  z_sec_bof z_irsus_bof  z_cod_enti_2-z_cod_enti_155, cluster(id_firm id_bank id_month);
matrix b1=e(b)';
matrix V=e(V);
mata: VV=st_matrix("V");
mata: SE=diagonal (VV):^.5;
mata: st_matrix("SE",SE);
replace kernel=sqrt(abs(normalden(Y_beta1/.05128611))/((t-1)*.05128611));
qui foreach x in future_default   b_own_funds_ratio   ir_bof   gdp_bof    cpi_bof   b_liquidity_ratio   b_roa   b_ln_assets   b_doubtful_ratio       ir_blr       ir_broa       ir_bln        ir_bdr      ir_bcb     ir_bsb       deficit_bof  sec_bof irsus_bof    {;
  replace z_`x'=`x'*kernel;
};
qui forvalues x=1/155{;
  replace z_cod_enti_`x'=cod_enti_`x'*kernel;
};
qui reg z_future_default   z_b_own_funds_ratio   z_ir_bof   z_gdp_bof    z_cpi_bof   z_b_liquidity_ratio   z_b_roa   z_b_ln_assets   z_b_doubtful_ratio      z_ir_blr       z_ir_broa       z_ir_bln        z_ir_bdr      z_ir_bcb     z_ir_bsb  z_deficit_bof  z_sec_bof z_irsus_bof   z_cod_enti_2-z_cod_enti_155;
matrix b2=e(b)';
matrix B=(b1-b2*.67534946)/(1-(.67534946));
mata: B=st_matrix("B");
mata: t=B:/SE;
mata: pvalue=2:*(1:-normal(abs(t)));
mata: z=invnormal(.05/2);
mata: cii=B:+z:*SE;
mata: cis=B:-z:*SE;
mata: st_matrix("t",t);
mata: st_matrix("pvalue",pvalue);
matrix table= (B, SE,t,pvalue);
matrix C= table[1..30,.];
matrix list C;
	*COLUMN 6**;
use english_T2_C7_SS.dta, clear; 
qui  foreach y in  future_default   b_own_funds_ratio   ir_bof   gdp_bof    cpi_bof   b_liquidity_ratio   b_roa   b_ln_assets   b_doubtful_ratio       ir_blr       ir_broa       ir_bln        ir_bdr      ir_bcb     ir_bsb{;
  egen m_`y'=mean(`y')  , by(id_firm_month);
  gen u=1;
  egen m2_`y'=mean(`y') , by(u);
  replace `y'=`y'-m_`y'+m2_`y' ;
  drop u m2_* m_*;
};
qui  forvalues y=1/155{;
  egen m_cod_enti_`y'=mean(cod_enti_`y') , by(id_firm_month);
  gen u=1;
  egen m2_cod_enti_`y'=mean(cod_enti_`y'), by(u);
  replace cod_enti_`y'=cod_enti_`y'-m_cod_enti_`y'+m2_cod_enti_`y';
  drop u m2_* m_*;
};
xi: cgmreg  future_default   b_own_funds_ratio   ir_bof   gdp_bof    cpi_bof   b_liquidity_ratio   b_roa   b_ln_assets   b_doubtful_ratio       ir_blr       ir_broa       ir_bln        ir_bdr      ir_bcb     ir_bsb cod_enti_2-cod_enti_155, cluster(id_firm id_bank id_month);	
***************************************************************************;
********************************************************************TABLE 6;
***************************************************************************;
********************************;
********************SECOND STAGE;
********************************;
	*COLUMN 1**;
use english_T5_C1_SS.dta, clear; 
gen kernel=sqrt(abs(normalden(Y_beta1/.05619566))/((t-1)*.05619566));
qui foreach x in no_collateral ir_fr_bof   b_own_funds_ratio   ir_bof   bof_firmrisk   gdp_bof    gdp_bof_firmrisk   cpi_bof   cpi_bof_fr   b_liquidity_ratio   b_roa   b_ln_assets   b_doubtful_ratio      blr_firmrisk      broa_firmrisk       bln_firmrisk      bdr_firmrisk      bcb_firmrisk     bsb_firmrisk       ir_blr       ir_broa       ir_bln        ir_bdr      ir_bcb     ir_bsb        ir_blr_fr         ir_broa_fr       ir_bln_fr       ir_bdr_fr     ir_bcb_fr     ir_bsb_fr {;
  gen z_`x'=`x'*kernel;
};
qui forvalues x=1/155{;
  gen z_cod_enti_`x'=cod_enti_`x'*kernel;
};
qui cgmreg z_no_collateral z_ir_fr_bof   z_b_own_funds_ratio   z_ir_bof   z_bof_firmrisk   z_gdp_bof    z_gdp_bof_firmrisk   z_cpi_bof   z_cpi_bof_fr   z_b_liquidity_ratio   z_b_roa   z_b_ln_assets   z_b_doubtful_ratio      z_blr_firmrisk      z_broa_firmrisk       z_bln_firmrisk      z_bdr_firmrisk      z_bcb_firmrisk     z_bsb_firmrisk       z_ir_blr       z_ir_broa       z_ir_bln        z_ir_bdr      z_ir_bcb     z_ir_bsb        z_ir_blr_fr         z_ir_broa_fr       z_ir_bln_fr       z_ir_bdr_fr     z_ir_bcb_fr     z_ir_bsb_fr z_cod_enti_2-z_cod_enti_155, cluster(id_firm id_bank id_month);
matrix b1=e(b)';
matrix V=e(V);
mata: VV=st_matrix("V");
mata: SE=diagonal (VV):^.5;
mata: st_matrix("SE",SE);
replace kernel=sqrt(abs(normalden(Y_beta1/.06838148))/((t-1)*.06838148));
qui foreach x in no_collateral ir_fr_bof   b_own_funds_ratio   ir_bof   bof_firmrisk   gdp_bof    gdp_bof_firmrisk   cpi_bof   cpi_bof_fr   b_liquidity_ratio   b_roa   b_ln_assets   b_doubtful_ratio      blr_firmrisk      broa_firmrisk       bln_firmrisk      bdr_firmrisk      bcb_firmrisk     bsb_firmrisk       ir_blr       ir_broa       ir_bln        ir_bdr      ir_bcb     ir_bsb        ir_blr_fr         ir_broa_fr       ir_bln_fr       ir_bdr_fr     ir_bcb_fr     ir_bsb_fr {;
  replace z_`x'=`x'*kernel;
};
qui forvalues x=1/155{;
  replace z_cod_enti_`x'=cod_enti_`x'*kernel;
};
qui reg z_no_collateral z_ir_fr_bof   z_b_own_funds_ratio   z_ir_bof   z_bof_firmrisk   z_gdp_bof    z_gdp_bof_firmrisk   z_cpi_bof   z_cpi_bof_fr   z_b_liquidity_ratio   z_b_roa   z_b_ln_assets   z_b_doubtful_ratio      z_blr_firmrisk      z_broa_firmrisk       z_bln_firmrisk      z_bdr_firmrisk      z_bcb_firmrisk     z_bsb_firmrisk       z_ir_blr       z_ir_broa       z_ir_bln        z_ir_bdr      z_ir_bcb     z_ir_bsb        z_ir_blr_fr         z_ir_broa_fr       z_ir_bln_fr       z_ir_bdr_fr     z_ir_bcb_fr     z_ir_bsb_fr z_cod_enti_2-z_cod_enti_155;
matrix b2=e(b)';
matrix B=(b1-b2*.67534946)/(1-(.67534946));
mata: B=st_matrix("B");
mata: t=B:/SE;
mata: pvalue=2:*(1:-normal(abs(t)));
mata: z=invnormal(.05/2);
mata: cii=B:+z:*SE;
mata: cis=B:-z:*SE;
mata: st_matrix("t",t);
mata: st_matrix("pvalue",pvalue);
matrix table= (B, SE,t,pvalue);
matrix C= table[1..40,.];
matrix list C;
	*COLUMN 2**;
use english_T5_C2_SS.dta, clear; 
gen kernel=sqrt(abs(normalden(Y_beta1/.15453806))/((t-1)*.15453806));
qui foreach x in future_default ir_fr_bof  bof_firmrisk    gdp_bof_firmrisk   cpi_bof_fr   blr_firmrisk      broa_firmrisk       bln_firmrisk      bdr_firmrisk      bcb_firmrisk     bsb_firmrisk          ir_blr_fr         ir_broa_fr       ir_bln_fr       ir_bdr_fr     ir_bcb_fr     ir_bsb_fr cpi_blr cpi_broa cpi_bln cpi_bdr  cpi_bcb  cpi_bsb  cpi_blr_fr  cpi_broa_fr cpi_bln_fr cpi_bdr_fr cpi_bcb_fr  cpi_bsb_fr deficit_bof deficit_bof_fr sec_bof sec_bof_fr irsus_bof_fr irsus_bof{;
  gen z_`x'=`x'*kernel;
};
qui forvalues x=1/6856{;
  gen z_cod_bm_`x'=cod_bm_`x'*kernel;
};
qui cgmreg z_future_default z_ir_fr_bof  z_bof_firmrisk    z_gdp_bof_firmrisk   z_cpi_bof_fr   z_blr_firmrisk      z_broa_firmrisk       z_bln_firmrisk      z_bdr_firmrisk      z_bcb_firmrisk     z_bsb_firmrisk          z_ir_blr_fr         z_ir_broa_fr       z_ir_bln_fr       z_ir_bdr_fr     z_ir_bcb_fr     z_ir_bsb_fr z_cpi_blr z_cpi_broa z_cpi_bln z_cpi_bdr  z_cpi_bcb  z_cpi_bsb  z_cpi_blr_fr  z_cpi_broa_fr z_cpi_bln_fr z_cpi_bdr_fr z_cpi_bcb_fr  z_cpi_bsb_fr z_deficit_bof z_deficit_bof_fr z_sec_bof z_sec_bof_fr z_irsus_bof_fr z_irsus_bof z_cod_bm_*, cluster(id_firm id_bank id_month);
matrix b1=e(b)';
matrix V=e(V);
mata: VV=st_matrix("V");
mata: SE=diagonal (VV):^.5;
mata: st_matrix("SE",SE);
replace kernel=sqrt(abs(normalden(Y_beta1/.18804907))/((t-1)*.18804907));
qui foreach x in future_default ir_fr_bof  bof_firmrisk    gdp_bof_firmrisk   cpi_bof_fr   blr_firmrisk      broa_firmrisk       bln_firmrisk      bdr_firmrisk      bcb_firmrisk     bsb_firmrisk          ir_blr_fr         ir_broa_fr       ir_bln_fr       ir_bdr_fr     ir_bcb_fr     ir_bsb_fr cpi_blr cpi_broa cpi_bln cpi_bdr  cpi_bcb  cpi_bsb  cpi_blr_fr  cpi_broa_fr cpi_bln_fr cpi_bdr_fr cpi_bcb_fr  cpi_bsb_fr deficit_bof deficit_bof_fr sec_bof sec_bof_fr irsus_bof_fr irsus_bof{;
  replace z_`x'=`x'*kernel;
};
drop z_cod_bm_*;
qui forvalues x=1/`v1'{;
  gen z_cod_bm_`x'=cod_bm_`x'*kernel;
};
qui reg z_future_default z_ir_fr_bof  z_bof_firmrisk    z_gdp_bof_firmrisk   z_cpi_bof_fr   z_blr_firmrisk      z_broa_firmrisk       z_bln_firmrisk      z_bdr_firmrisk      z_bcb_firmrisk     z_bsb_firmrisk          z_ir_blr_fr         z_ir_broa_fr       z_ir_bln_fr       z_ir_bdr_fr     z_ir_bcb_fr     z_ir_bsb_fr z_cpi_blr z_cpi_broa z_cpi_bln z_cpi_bdr  z_cpi_bcb  z_cpi_bsb  z_cpi_blr_fr  z_cpi_broa_fr z_cpi_bln_fr z_cpi_bdr_fr z_cpi_bcb_fr  z_cpi_bsb_fr z_deficit_bof z_deficit_bof_fr z_sec_bof z_sec_bof_fr z_irsus_bof_fr z_irsus_bof  z_cod_bm_*;
matrix b2=e(b)';
matrix B=(b1-b2*.67534946)/(1-(.67534946));
mata: B=st_matrix("B");
mata: t=B:/SE;
mata: pvalue=2:*(1:-normal(abs(t)));
mata: z=invnormal(.05/2);
mata: cii=B:+z:*SE;
mata: cis=B:-z:*SE;
mata: st_matrix("t",t);
mata: st_matrix("pvalue",pvalue);
matrix table= (B, SE,t,pvalue);
matrix C= table[1..20,.];
matrix list C;
	*COLUMN 3**;
use english_T2_C7_SS.dta, clear; 
    qui  foreach y in  no_collateral ir_fr_bof  bof_firmrisk    gdp_bof_firmrisk   cpi_bof_fr   blr_firmrisk      broa_firmrisk       bln_firmrisk      bdr_firmrisk      bcb_firmrisk     bsb_firmrisk          ir_blr_fr         ir_broa_fr       ir_bln_fr       ir_bdr_fr     ir_bcb_fr     ir_bsb_fr cpi_blr cpi_broa cpi_bln cpi_bdr  cpi_bcb  cpi_bsb  cpi_blr_fr  cpi_broa_fr cpi_bln_fr cpi_bdr_fr cpi_bcb_fr  cpi_bsb_fr deficit_bof deficit_bof_fr sec_bof sec_bof_fr irsus_bof_fr irsus_bof{;
    egen m_`y'=mean(`y')  , by(id_firm_month);
    gen u=1;
    egen m2_`y'=mean(`y') , by(u);
    replace `y'=`y'-m_`y'+m2_`y' ;
    drop u m2_* m_*;
  }; 
  qui tab id_bank_month, gen(cod_bm_);
  local v13=r(r);
  qui  forvalues y=1/`v13'{;
    egen m_cod_bm_`y'=mean(cod_bm_`y') , by(id_firm_month);
    gen u=1;
    egen m2_cod_bm_`y'=mean(cod_bm_`y'), by(u);
    replace cod_bm_`y'=cod_bm_`y'-m_cod_bm_`y'+m2_cod_bm_`y';
    drop u m2_* m_*;
  };  
  qui forvalues x=1/`v13'{;
  sum cod_bm_`x';
  if r(sd)==0 {;
    drop z_cod_bm_`x';
  };
};
xi: cgmreg  no_collateral ir_fr_bof  bof_firmrisk    gdp_bof_firmrisk   cpi_bof_fr   blr_firmrisk      broa_firmrisk       bln_firmrisk      bdr_firmrisk      bcb_firmrisk     bsb_firmrisk          ir_blr_fr         ir_broa_fr       ir_bln_fr       ir_bdr_fr     ir_bcb_fr     ir_bsb_fr cpi_blr cpi_broa cpi_bln cpi_bdr  cpi_bcb  cpi_bsb  cpi_blr_fr  cpi_broa_fr cpi_bln_fr cpi_bdr_fr cpi_bcb_fr  cpi_bsb_fr deficit_bof deficit_bof_fr sec_bof sec_bof_fr irsus_bof_fr irsus_bof cod_bm_2-cod_bm_`v13', cluster(id_firm id_bank id_month);	   
******************************************************************************************************************************************************;
********************************************************************APPENDIX**************************************************************************;
******************************************************************************************************************************************************;
***************************************************************************;
********************************************************************TABLE A1;
***************************************************************************;
********************************;
********************FIRST STAGE;
********************************;
	*COLUMN 1**;
use T1A1_C1_FS.dta, clear;                                                                                                        
foreach y in  granting   firm_risk b_own_funds_ratio   ir_firmrisk   gdp_firmrisk    cpi_firmrisk   b_liquidity_ratio   b_roa   b_ln_assets   b_doubtful_ratio    b_commercial_bank b_savings_bank{;
  egen m_`y'=mean(`y')  , by(id_firm);
  gen u=1;
  egen m2_`y'=mean(`y') , by(u);
  replace `y'=`y'-m_`y'+m2_`y' ;
  drop u m2_* m_*;
};
forvalues y=1/83{;
  egen m_cod_m_`y'=mean(cod_m_`y') , by(id_firm);
  gen u=1;
  egen m2_cod_m_`y'=mean(cod_m_`y'), by(u);
  replace cod_m_`y'=cod_m_`y'-m_cod_m_`y'+m2_cod_m_`y';
  drop u m2_* m_*;
};  
xi: cgmreg  granting  firm_risk b_own_funds_ratio   ir_firmrisk   gdp_firmrisk    cpi_firmrisk   b_liquidity_ratio   b_roa   b_ln_assets   b_doubtful_ratio    b_commercial_bank b_savings_bank  cod_m_2-cod_m_83 , cluster(id_firm id_month);	
	*COLUMN 2**;
use T1A1_C2_FS.dta, clear;                                                                                                        
foreach y in  granting   firm_risk b_own_funds_ratio   ir_firmrisk   gdp_firmrisk    cpi_firmrisk   b_liquidity_ratio   b_roa   b_ln_assets   b_doubtful_ratio    b_commercial_bank b_savings_bank{;
  egen m_`y'=mean(`y')  , by(id_firm);
  gen u=1;
  egen m2_`y'=mean(`y') , by(u);
  replace `y'=`y'-m_`y'+m2_`y' ;
  drop u m2_* m_*;
};
forvalues y=1/83{;
  egen m_cod_m_`y'=mean(cod_m_`y') , by(id_firm);
  gen u=1;
  egen m2_cod_m_`y'=mean(cod_m_`y'), by(u);
  replace cod_m_`y'=cod_m_`y'-m_cod_m_`y'+m2_cod_m_`y';
  drop u m2_* m_*;
};  
xi: cgmreg  granting  firm_risk b_own_funds_ratio   ir_firmrisk   gdp_firmrisk    cpi_firmrisk   b_liquidity_ratio   b_roa   b_ln_assets   b_doubtful_ratio    b_commercial_bank b_savings_bank  cod_m_2-cod_m_83 , cluster(id_firm id_month);	
********************************;
********************SECOND STAGE;
********************************;
	*COLUMN 1**;
use T1A1_C1_SS.dta, clear; 
gen kernel=sqrt(abs(normalden(Y_beta1/.03575113))/((t-1)*.03575113));
qui foreach x in ln_credit firm_risk  b_own_funds_ratio   ir_firmrisk   gdp_firmrisk    cpi_firmrisk   b_liquidity_ratio   b_roa   b_ln_assets   b_doubtful_ratio    b_commercial_bank b_savings_bank{;
  gen z_`x'=`x'*kernel;
};
qui forvalues x=1/83{;
  gen z_cod_m_`x'=cod_m_`x'*kernel;
};
qui cgmreg z_ln_credit z_firm_risk  z_b_own_funds_ratio   z_ir_firmrisk   z_gdp_firmrisk    z_cpi_firmrisk   z_b_liquidity_ratio   z_b_roa   z_b_ln_assets   z_b_doubtful_ratio    z_b_commercial_bank z_b_savings_bank                               z_cod_m_2-z_cod_m_83, cluster(id_firm id_month);
matrix b1=e(b)';
matrix V=e(V);
mata: VV=st_matrix("V");
mata: SE=diagonal (VV):^.5;
mata: st_matrix("SE",SE);
replace kernel=sqrt(abs(normalden(Y_beta1/.16836661))/((t-1)*.16836661));
qui foreach x in ln_credit firm_risk  b_own_funds_ratio   ir_firmrisk   gdp_firmrisk    cpi_firmrisk   b_liquidity_ratio   b_roa   b_ln_assets   b_doubtful_ratio    b_commercial_bank b_savings_bank{;
  replace z_`x'=`x'*kernel;
};
qui forvalues x=1/83{;
  replace z_cod_m_`x'=cod_m_`x'*kernel;
};
qui reg z_ln_credit z_firm_risk  z_b_own_funds_ratio   z_ir_firmrisk   z_gdp_firmrisk    z_cpi_firmrisk   z_b_liquidity_ratio   z_b_roa   z_b_ln_assets   z_b_doubtful_ratio    z_b_commercial_bank z_b_savings_bank                               z_cod_m_2-z_cod_m_83;
matrix b2=e(b)';
matrix B=(b1-b2*.04508868)/(1-(.04508868));
mata: B=st_matrix("B");
mata: t=B:/SE;
mata: pvalue=2:*(1:-normal(abs(t)));
mata: z=invnormal(.05/2);
mata: cii=B:+z:*SE;
mata: cis=B:-z:*SE;
mata: st_matrix("t",t);
mata: st_matrix("pvalue",pvalue);
matrix table= (B, SE,t,pvalue);
matrix C= table[1..20,.];
matrix list C;
	*COLUMN 2**;
use T1A1_C2_SS.dta, clear; 
gen kernel=sqrt(abs(normalden(Y_beta1/.05883121))/((t-1)*.05883121));
qui foreach x in ln_credit firm_risk  b_own_funds_ratio   ir_firmrisk   gdp_firmrisk    cpi_firmrisk   b_liquidity_ratio   b_roa   b_ln_assets   b_doubtful_ratio    b_commercial_bank b_savings_bank{;
  gen z_`x'=`x'*kernel;
};
qui forvalues x=1/83{;
  gen z_cod_m_`x'=cod_m_`x'*kernel;
};
qui cgmreg z_ln_credit z_firm_risk  z_b_own_funds_ratio   z_ir_firmrisk   z_gdp_firmrisk    z_cpi_firmrisk   z_b_liquidity_ratio   z_b_roa   z_b_ln_assets   z_b_doubtful_ratio    z_b_commercial_bank z_b_savings_bank                               z_cod_m_2-z_cod_m_83, cluster(id_firm id_month);
matrix b1=e(b)';
matrix V=e(V);
mata: VV=st_matrix("V");
mata: SE=diagonal (VV):^.5;
mata: st_matrix("SE",SE);
replace kernel=sqrt(abs(normalden(Y_beta1/.25490004))/((t-1)*.25490004));
qui foreach x in ln_credit firm_risk  b_own_funds_ratio   ir_firmrisk   gdp_firmrisk    cpi_firmrisk   b_liquidity_ratio   b_roa   b_ln_assets   b_doubtful_ratio    b_commercial_bank b_savings_bank{;
  replace z_`x'=`x'*kernel;
};
qui forvalues x=1/83{;
  replace z_cod_m_`x'=cod_m_`x'*kernel;
};
qui reg z_ln_credit z_firm_risk  z_b_own_funds_ratio   z_ir_firmrisk   z_gdp_firmrisk    z_cpi_firmrisk   z_b_liquidity_ratio   z_b_roa   z_b_ln_assets   z_b_doubtful_ratio    z_b_commercial_bank z_b_savings_bank                               z_cod_m_2-z_cod_m_83;
matrix b2=e(b)';
matrix B=(b1-b2*.05326915)/(1-(.05326915));
mata: B=st_matrix("B");
mata: t=B:/SE;
mata: pvalue=2:*(1:-normal(abs(t)));
mata: z=invnormal(.05/2);
mata: cii=B:+z:*SE;
mata: cis=B:-z:*SE;
mata: st_matrix("t",t);
mata: st_matrix("pvalue",pvalue);
matrix table= (B, SE,t,pvalue);
matrix C= table[1..20,.];
matrix list C;
***************************************************************************;
********************************************************************TABLE A2;
***************************************************************************;
	*COLUMN 1**;
use    TA2_C1.dta, clear;
cgmreg ln_credit  firm_risk ln_assets   ln_age   own_funds_ratio   ln_num_relationships   roa    firm_risk b_own_funds_ratio   b_liquidity_ratio   b_roa   b_ln_assets   b_doubtful_ratio b_commercial_bank b_savings_bank mean_* inv_mills_* , cluster (id_firm );
	*COLUMN 2**;
use    TA2_C2.dta, clear;
cgmreg ln_credit  firm_risk ir_firmrisk ln_assets   ln_age   own_funds_ratio   ln_num_relationships   roa       gdp_firmrisk   cpi_firmrisk b_own_funds_ratio   b_liquidity_ratio   b_roa   b_ln_assets   b_doubtful_ratio b_commercial_bank b_savings_bank mean_* inv_mills_* , cluster (id_firm );
	*COLUMN 3**;
use    TA2_C3.dta, clear;
cgmreg ln_credit  firm_risk ir_firmrisk ln_assets   ln_age   own_funds_ratio   ln_num_relationships   roa       gdp_firmrisk   cpi_firmrisk b_own_funds_ratio   b_liquidity_ratio   b_roa   b_ln_assets   b_doubtful_ratio  mean_* inv_mills_*  cod_enti_*, cluster (id_firm );
	*COLUMN 4**;
use  TA2_C4.dta, clear;
cgmreg ln_credit firm_risk ir_firmrisk ir_fr_bof   b_own_funds_ratio   ir_bof   bof_firmrisk   gdp_bof    gdp_firmrisk  gdp_bof_firmrisk   cpi_bof  cpi_fr cpi_bof_fr            b_liquidity_ratio   b_roa   b_ln_assets   b_doubtful_ratio        ir_blr       ir_broa       ir_bln        ir_bdr      ir_bcb     ir_bsb      blr_firmrisk  broa_firmrisk  bln_firmrisk bdr_firmrisk bcb_firmrisk bsb_firmrisk    ir_blr_fr         ir_broa_fr       ir_bln_fr       ir_bdr_fr     ir_bcb_fr     ir_bsb_fr mean_* inv_mills_* cod_m_* cod_enti_* , cluster (id_firm);
	*COLUMN 5**;
use  TA2_C5.dta, clear;
cgmreg ln_cred ir_fr_bof ir_bof  b_own_funds_ratio    bof_firmrisk   gdp_bof    gdp_bof_firmrisk   cpi_bof   cpi_bof_fr            b_liquidity_ratio   b_roa   b_ln_assets   b_doubtful_ratio      blr_firmrisk      broa_firmrisk       bln_firmrisk      bdr_firmrisk      bcb_firmrisk     bsb_firmrisk       ir_blr       ir_broa       ir_bln        ir_bdr      ir_bcb     ir_bsb     ir_blr_fr         ir_broa_fr       ir_bln_fr       ir_bdr_fr     ir_bcb_fr     ir_bsb_fr mean_* inv_mills_* cod_enti_*, cluster (id_firm);

	*COLUMN 6**;
use  TA2_C6.dta, clear;
cgmreg ln_cred ir_fr_bof bof_firmrisk  gdp_bof_firmrisk cpi_bof_fr   blr_firmrisk      broa_firmrisk       bln_firmrisk      bdr_firmrisk      bcb_firmrisk     bsb_firmrisk  ir_blr_fr         ir_broa_fr       ir_bln_fr       ir_bdr_fr     ir_bcb_fr     ir_bsb_fr mean_* inv_mills_* cod_enti_m_* , cluster (id_firm);
	*COLUMN 7**;
use  TA2_C7.dta, clear;
cgmreg  no_collateral ir_fr_bof bof_firmrisk  gdp_bof_firmrisk cpi_bof_fr   blr_firmrisk      broa_firmrisk       bln_firmrisk      bdr_firmrisk      bcb_firmrisk     bsb_firmrisk  ir_blr_fr         ir_broa_fr       ir_bln_fr       ir_bdr_fr     ir_bcb_fr     ir_bsb_fr ln_cred mean_* inv_mills_* cod_enti_m_* , cluster (id_firm);
	*COLUMN 8**;
use  TA2_C8.dta, clear;
cgmreg future_default  ir_bof  b_own_funds_ratio     gdp_bof    cpi_bof            b_liquidity_ratio   b_roa   b_ln_assets   b_doubtful_ratio        ir_blr       ir_broa       ir_bln        ir_bdr      ir_bcb     ir_bsb   mean_* inv_mills_* cod_enti_*, cluster (id_firm);
***************************************************************************;
********************************************************************TABLE A3;
***************************************************************************;
********************************;
********************FIRST STAGE;
********************************;
	*COLUMN 3**;
use english_TA3_C3_FS.dta, clear;                                                                                                                                                                                 
  foreach y in  granting granting ir_fr_bof     irl_fr_bof  ir_bof  irl_bof b_own_funds_ratio      bof_firmrisk   gdp_bof    gdp_bof_firmrisk   cpi_bof   cpi_bof_fr   b_liquidity_ratio   b_roa   b_ln_assets   b_doubtful_ratio      blr_firmrisk      broa_firmrisk       bln_firmrisk      bdr_firmrisk      bcb_firmrisk     bsb_firmrisk       ir_blr       ir_broa       ir_bln        ir_bdr      ir_bcb     ir_bsb        ir_blr_fr         ir_broa_fr       ir_bln_fr       ir_bdr_fr     ir_bcb_fr     ir_bsb_fr    {;
  egen m_`y'=mean(`y')  , by(id_firm_month);
  gen u=1;
  egen m2_`y'=mean(`y') , by(u);
  replace `y'=`y'-m_`y'+m2_`y' ;
  drop u m2_* m_*;
};
forvalues y=1/155{;
  egen m_cod_enti_`y'=mean(cod_enti_`y') , by(id_firm_month);
  gen u=1;
  egen m2_cod_enti_`y'=mean(cod_enti_`y'), by(u);
  replace cod_enti_`y'=cod_enti_`y'-m_cod_enti_`y'+m2_cod_enti_`y';
  drop u m2_* m_*;
}; 
xi: cgmreg granting ir_fr_bof     irl_fr_bof  ir_bof  irl_bof b_own_funds_ratio      bof_firmrisk   gdp_bof    gdp_bof_firmrisk   cpi_bof   cpi_bof_fr   b_liquidity_ratio   b_roa   b_ln_assets   b_doubtful_ratio      blr_firmrisk      broa_firmrisk       bln_firmrisk      bdr_firmrisk      bcb_firmrisk     bsb_firmrisk       ir_blr       ir_broa       ir_bln        ir_bdr      ir_bcb     ir_bsb        ir_blr_fr         ir_broa_fr       ir_bln_fr       ir_bdr_fr     ir_bcb_fr     ir_bsb_fr       cod_enti_2-cod_enti_155 , cluster(id_firm id_bank  id_month);          	
	*COLUMN 4**;
use english_TA3_C4_FS.dta, clear;                                                                                                                                                                                 
  foreach y in  granting granting ir_fr_bof      irlus_bof_fr irlus_bof  ir_bof b_own_funds_ratio      bof_firmrisk   gdp_bof    gdp_bof_firmrisk   cpi_bof   cpi_bof_fr   b_liquidity_ratio   b_roa   b_ln_assets   b_doubtful_ratio      blr_firmrisk      broa_firmrisk       bln_firmrisk      bdr_firmrisk      bcb_firmrisk     bsb_firmrisk       ir_blr       ir_broa       ir_bln        ir_bdr      ir_bcb     ir_bsb        ir_blr_fr         ir_broa_fr       ir_bln_fr       ir_bdr_fr     ir_bcb_fr     ir_bsb_fr    {;
  egen m_`y'=mean(`y')  , by(id_firm_month);
  gen u=1;
  egen m2_`y'=mean(`y') , by(u);
  replace `y'=`y'-m_`y'+m2_`y' ;
  drop u m2_* m_*;
};
forvalues y=1/155{;
  egen m_cod_enti_`y'=mean(cod_enti_`y') , by(id_firm_month);
  gen u=1;
  egen m2_cod_enti_`y'=mean(cod_enti_`y'), by(u);
  replace cod_enti_`y'=cod_enti_`y'-m_cod_enti_`y'+m2_cod_enti_`y';
  drop u m2_* m_*;
}; 
xi: cgmreg granting ir_fr_bof      irlus_bof_fr irlus_bof  ir_bof b_own_funds_ratio      bof_firmrisk   gdp_bof    gdp_bof_firmrisk   cpi_bof   cpi_bof_fr   b_liquidity_ratio   b_roa   b_ln_assets   b_doubtful_ratio      blr_firmrisk      broa_firmrisk       bln_firmrisk      bdr_firmrisk      bcb_firmrisk     bsb_firmrisk       ir_blr       ir_broa       ir_bln        ir_bdr      ir_bcb     ir_bsb        ir_blr_fr         ir_broa_fr       ir_bln_fr       ir_bdr_fr     ir_bcb_fr     ir_bsb_fr       cod_enti_2-cod_enti_155 , cluster(id_firm id_bank  id_month);          
	*COLUMN 5**;
use english_TA3_C4_FS.dta, clear;                                                                                                                                                                                 
  foreach y in  granting granting ir_fr_bof      irsus_bof_fr irsus_bof  ir_bof b_own_funds_ratio      bof_firmrisk   gdp_bof    gdp_bof_firmrisk   cpi_bof   cpi_bof_fr   b_liquidity_ratio   b_roa   b_ln_assets   b_doubtful_ratio      blr_firmrisk      broa_firmrisk       bln_firmrisk      bdr_firmrisk      bcb_firmrisk     bsb_firmrisk       ir_blr       ir_broa       ir_bln        ir_bdr      ir_bcb     ir_bsb        ir_blr_fr         ir_broa_fr       ir_bln_fr       ir_bdr_fr     ir_bcb_fr     ir_bsb_fr    {;
  egen m_`y'=mean(`y')  , by(id_firm_month);
  gen u=1;
  egen m2_`y'=mean(`y') , by(u);
  replace `y'=`y'-m_`y'+m2_`y' ;
  drop u m2_* m_*;
};
forvalues y=1/155{;
  egen m_cod_enti_`y'=mean(cod_enti_`y') , by(id_firm_month);
  gen u=1;
  egen m2_cod_enti_`y'=mean(cod_enti_`y'), by(u);
  replace cod_enti_`y'=cod_enti_`y'-m_cod_enti_`y'+m2_cod_enti_`y';
  drop u m2_* m_*;
}; 
xi: cgmreg granting ir_fr_bof      irsus_bof_fr irsus_bof  ir_bof b_own_funds_ratio      bof_firmrisk   gdp_bof    gdp_bof_firmrisk   cpi_bof   cpi_bof_fr   b_liquidity_ratio   b_roa   b_ln_assets   b_doubtful_ratio      blr_firmrisk      broa_firmrisk       bln_firmrisk      bdr_firmrisk      bcb_firmrisk     bsb_firmrisk       ir_blr       ir_broa       ir_bln        ir_bdr      ir_bcb     ir_bsb        ir_blr_fr         ir_broa_fr       ir_bln_fr       ir_bdr_fr     ir_bcb_fr     ir_bsb_fr       cod_enti_2-cod_enti_155 , cluster(id_firm id_bank  id_month);          
	*COLUMN 6**;
use english_T2_C5_FS.dta, clear;																							
foreach y in  granting ir_fr_bof   b_own_funds_ratio   ir_bof   bof_firmrisk   gdp_bof    gdp_bof_firmrisk   cpi_bof   cpi_bof_fr deficit_bof_fr deficit_bof   b_liquidity_ratio   b_roa   b_ln_assets   b_doubtful_ratio      blr_firmrisk      broa_firmrisk       bln_firmrisk      bdr_firmrisk      bcb_firmrisk     bsb_firmrisk       ir_blr       ir_broa       ir_bln        ir_bdr      ir_bcb     ir_bsb        ir_blr_fr         ir_broa_fr       ir_bln_fr       ir_bdr_fr     ir_bcb_fr     ir_bsb_fr{;
  egen m_`y'=mean(`y')  , by(id_firm_month);
  gen u=1;
  egen m2_`y'=mean(`y') , by(u);
  replace `y'=`y'-m_`y'+m2_`y' ;
  drop u m2_* m_*;
};
forvalues y=1/155{;
  egen m_cod_enti_`y'=mean(cod_enti_`y') , by(id_firm_month);
  gen u=1;
  egen m2_cod_enti_`y'=mean(cod_enti_`y'), by(u);
  replace cod_enti_`y'=cod_enti_`y'-m_cod_enti_`y'+m2_cod_enti_`y';
  drop u m2_* m_*;
}; 
xi: cgmreg  granting ir_fr_bof   b_own_funds_ratio   ir_bof   bof_firmrisk   gdp_bof    gdp_bof_firmrisk   cpi_bof   cpi_bof_fr deficit_bof_fr deficit_bof    b_liquidity_ratio   b_roa   b_ln_assets   b_doubtful_ratio      blr_firmrisk      broa_firmrisk       bln_firmrisk      bdr_firmrisk      bcb_firmrisk     bsb_firmrisk       ir_blr       ir_broa       ir_bln        ir_bdr      ir_bcb     ir_bsb        ir_blr_fr         ir_broa_fr       ir_bln_fr       ir_bdr_fr     ir_bcb_fr     ir_bsb_fr cod_enti_2-cod_enti_155 , cluster(id_firm id_bank  id_month);	  	
********************************;
********************SECOND STAGE;
********************************;
	*COLUMN 3**;
use TA3_C3_SS.dta, clear; 
gen kernel=sqrt(abs(normalden(Y_beta1/.21073372))/((t-1)*.21073372));
qui foreach x in ln_credit ir_fr_bof  irl_bof_fr b_own_funds_ratio   ir_bof irl_bof   bof_firmrisk   gdp_bof    gdp_bof_firmrisk   cpi_bof   cpi_bof_fr   b_liquidity_ratio   b_roa   b_ln_assets   b_doubtful_ratio      blr_firmrisk      broa_firmrisk       bln_firmrisk      bdr_firmrisk      bcb_firmrisk     bsb_firmrisk       ir_blr       ir_broa       ir_bln        ir_bdr      ir_bcb     ir_bsb        ir_blr_fr         ir_broa_fr       ir_bln_fr       ir_bdr_fr     ir_bcb_fr     ir_bsb_fr {;
  gen z_`x'=`x'*kernel;
};
qui forvalues x=1/155{;
  gen z_cod_enti_`x'=cod_enti_`x'*kernel;
};
qui cgmreg z_ln_credit z_ir_fr_bof   z_irl_bof_fr z_b_own_funds_ratio   z_ir_bof z_irl_bof   z_bof_firmrisk   z_gdp_bof    z_gdp_bof_firmrisk   z_cpi_bof   z_cpi_bof_fr   z_b_liquidity_ratio   z_b_roa   z_b_ln_assets   z_b_doubtful_ratio      z_blr_firmrisk      z_broa_firmrisk       z_bln_firmrisk      z_bdr_firmrisk      z_bcb_firmrisk     z_bsb_firmrisk       z_ir_blr       z_ir_broa       z_ir_bln        z_ir_bdr      z_ir_bcb     z_ir_bsb        z_ir_blr_fr         z_ir_broa_fr       z_ir_bln_fr       z_ir_bdr_fr     z_ir_bcb_fr     z_ir_bsb_fr z_cod_enti_2-z_cod_enti_155, cluster(id_firm id_bank id_month);
matrix b1=e(b)';
matrix V=e(V);
mata: VV=st_matrix("V");
mata: SE=diagonal (VV):^.5;
mata: st_matrix("SE",SE);
replace kernel=sqrt(abs(normalden(Y_beta1/1.2326947))/((t-1)*1.2326947));
qui foreach x in ln_credit ir_fr_bof  irl_bof_fr b_own_funds_ratio   ir_bof irl_bof   bof_firmrisk   gdp_bof    gdp_bof_firmrisk   cpi_bof   cpi_bof_fr   b_liquidity_ratio   b_roa   b_ln_assets   b_doubtful_ratio      blr_firmrisk      broa_firmrisk       bln_firmrisk      bdr_firmrisk      bcb_firmrisk     bsb_firmrisk       ir_blr       ir_broa       ir_bln        ir_bdr      ir_bcb     ir_bsb        ir_blr_fr         ir_broa_fr       ir_bln_fr       ir_bdr_fr     ir_bcb_fr     ir_bsb_fr {;
  replace z_`x'=`x'*kernel;
};
qui forvalues x=1/155{;
  replace z_cod_enti_`x'=cod_enti_`x'*kernel;
};
qui reg z_ln_credit z_ir_fr_bof   z_irl_bof_fr z_b_own_funds_ratio   z_ir_bof z_irl_bof   z_bof_firmrisk   z_gdp_bof    z_gdp_bof_firmrisk   z_cpi_bof   z_cpi_bof_fr   z_b_liquidity_ratio   z_b_roa   z_b_ln_assets   z_b_doubtful_ratio      z_blr_firmrisk      z_broa_firmrisk       z_bln_firmrisk      z_bdr_firmrisk      z_bcb_firmrisk     z_bsb_firmrisk       z_ir_blr       z_ir_broa       z_ir_bln        z_ir_bdr      z_ir_bcb     z_ir_bsb        z_ir_blr_fr         z_ir_broa_fr       z_ir_bln_fr       z_ir_bdr_fr     z_ir_bcb_fr     z_ir_bsb_fr z_cod_enti_2-z_cod_enti_155;
matrix b2=e(b)';
matrix B=(b1-b2*.02922517)/(1-(.02922517));
mata: B=st_matrix("B");
mata: t=B:/SE;
mata: pvalue=2:*(1:-normal(abs(t)));
mata: z=invnormal(.05/2);
mata: cii=B:+z:*SE;
mata: cis=B:-z:*SE;
mata: st_matrix("t",t);
mata: st_matrix("pvalue",pvalue);
matrix table= (B, SE,t,pvalue);
matrix C= table[1..30,.];
matrix list C;
	*COLUMN 4**;
use TA3_C4_SS.dta, clear; 
gen kernel=sqrt(abs(normalden(Y_beta1/.08429349))/((t-1)*.08429349));
qui foreach x in ln_credit ir_fr_bof  irlus_bof_fr b_own_funds_ratio   ir_bof irlus_bof   bof_firmrisk   gdp_bof    gdp_bof_firmrisk   cpi_bof   cpi_bof_fr   b_liquidity_ratio   b_roa   b_ln_assets   b_doubtful_ratio      blr_firmrisk      broa_firmrisk       bln_firmrisk      bdr_firmrisk      bcb_firmrisk     bsb_firmrisk       ir_blr       ir_broa       ir_bln        ir_bdr      ir_bcb     ir_bsb        ir_blr_fr         ir_broa_fr       ir_bln_fr       ir_bdr_fr     ir_bcb_fr     ir_bsb_fr {;
  gen z_`x'=`x'*kernel;
};
qui forvalues x=1/155{;
  gen z_cod_enti_`x'=cod_enti_`x'*kernel;
};
qui cgmreg z_ln_credit z_ir_fr_bof   z_irlus_bof_fr z_b_own_funds_ratio   z_ir_bof z_irlus_bof   z_bof_firmrisk   z_gdp_bof    z_gdp_bof_firmrisk   z_cpi_bof   z_cpi_bof_fr   z_b_liquidity_ratio   z_b_roa   z_b_ln_assets   z_b_doubtful_ratio      z_blr_firmrisk      z_broa_firmrisk       z_bln_firmrisk      z_bdr_firmrisk      z_bcb_firmrisk     z_bsb_firmrisk       z_ir_blr       z_ir_broa       z_ir_bln        z_ir_bdr      z_ir_bcb     z_ir_bsb        z_ir_blr_fr         z_ir_broa_fr       z_ir_bln_fr       z_ir_bdr_fr     z_ir_bcb_fr     z_ir_bsb_fr z_cod_enti_2-z_cod_enti_155, cluster(id_firm id_bank id_month);
matrix b1=e(b)';
matrix V=e(V);
mata: VV=st_matrix("V");
mata: SE=diagonal (VV):^.5;
mata: st_matrix("SE",SE);
replace kernel=sqrt(abs(normalden(Y_beta1/.49307789))/((t-1)*.49307789));
qui foreach x in ln_credit ir_fr_bof  irlus_bof_fr b_own_funds_ratio   ir_bof irlus_bof   bof_firmrisk   gdp_bof    gdp_bof_firmrisk   cpi_bof   cpi_bof_fr   b_liquidity_ratio   b_roa   b_ln_assets   b_doubtful_ratio      blr_firmrisk      broa_firmrisk       bln_firmrisk      bdr_firmrisk      bcb_firmrisk     bsb_firmrisk       ir_blr       ir_broa       ir_bln        ir_bdr      ir_bcb     ir_bsb        ir_blr_fr         ir_broa_fr       ir_bln_fr       ir_bdr_fr     ir_bcb_fr     ir_bsb_fr {;
  replace z_`x'=`x'*kernel;
};
qui forvalues x=1/155{;
  replace z_cod_enti_`x'=cod_enti_`x'*kernel;
};
qui reg z_ln_credit z_ir_fr_bof   z_irlus_bof_fr z_b_own_funds_ratio   z_ir_bof z_irlus_bof   z_bof_firmrisk   z_gdp_bof    z_gdp_bof_firmrisk   z_cpi_bof   z_cpi_bof_fr   z_b_liquidity_ratio   z_b_roa   z_b_ln_assets   z_b_doubtful_ratio      z_blr_firmrisk      z_broa_firmrisk       z_bln_firmrisk      z_bdr_firmrisk      z_bcb_firmrisk     z_bsb_firmrisk       z_ir_blr       z_ir_broa       z_ir_bln        z_ir_bdr      z_ir_bcb     z_ir_bsb        z_ir_blr_fr         z_ir_broa_fr       z_ir_bln_fr       z_ir_bdr_fr     z_ir_bcb_fr     z_ir_bsb_fr z_cod_enti_2-z_cod_enti_155;
matrix b2=e(b)';
matrix B=(b1-b2*.02922517)/(1-(.02922517));
mata: B=st_matrix("B");
mata: t=B:/SE;
mata: pvalue=2:*(1:-normal(abs(t)));
mata: z=invnormal(.05/2);
mata: cii=B:+z:*SE;
mata: cis=B:-z:*SE;
mata: st_matrix("t",t);
mata: st_matrix("pvalue",pvalue);
matrix table= (B, SE,t,pvalue);
matrix C= table[1..30,.];
matrix list C;
	*COLUMN 5**;
use TA3_C5_SS.dta, clear; 
gen kernel=sqrt(abs(normalden(Y_beta1/.08429349))/((t-1)*.08429349));
qui foreach x in ln_credit ir_fr_bof  irsus_bof_fr b_own_funds_ratio   ir_bof irsus_bof   bof_firmrisk   gdp_bof    gdp_bof_firmrisk   cpi_bof   cpi_bof_fr   b_liquidity_ratio   b_roa   b_ln_assets   b_doubtful_ratio      blr_firmrisk      broa_firmrisk       bln_firmrisk      bdr_firmrisk      bcb_firmrisk     bsb_firmrisk       ir_blr       ir_broa       ir_bln        ir_bdr      ir_bcb     ir_bsb        ir_blr_fr         ir_broa_fr       ir_bln_fr       ir_bdr_fr     ir_bcb_fr     ir_bsb_fr {;
  gen z_`x'=`x'*kernel;
};
qui forvalues x=1/155{;
  gen z_cod_enti_`x'=cod_enti_`x'*kernel;
};
qui cgmreg z_ln_credit z_ir_fr_bof   z_irsus_bof_fr z_b_own_funds_ratio   z_ir_bof z_irsus_bof   z_bof_firmrisk   z_gdp_bof    z_gdp_bof_firmrisk   z_cpi_bof   z_cpi_bof_fr   z_b_liquidity_ratio   z_b_roa   z_b_ln_assets   z_b_doubtful_ratio      z_blr_firmrisk      z_broa_firmrisk       z_bln_firmrisk      z_bdr_firmrisk      z_bcb_firmrisk     z_bsb_firmrisk       z_ir_blr       z_ir_broa       z_ir_bln        z_ir_bdr      z_ir_bcb     z_ir_bsb        z_ir_blr_fr         z_ir_broa_fr       z_ir_bln_fr       z_ir_bdr_fr     z_ir_bcb_fr     z_ir_bsb_fr z_cod_enti_2-z_cod_enti_155, cluster(id_firm id_bank id_month);
matrix b1=e(b)';
matrix V=e(V);
mata: VV=st_matrix("V");
mata: SE=diagonal (VV):^.5;
mata: st_matrix("SE",SE);
replace kernel=sqrt(abs(normalden(Y_beta1/.49307789))/((t-1)*.49307789));
qui foreach x in ln_credit ir_fr_bof  irsus_bof_fr b_own_funds_ratio   ir_bof irsus_bof   bof_firmrisk   gdp_bof    gdp_bof_firmrisk   cpi_bof   cpi_bof_fr   b_liquidity_ratio   b_roa   b_ln_assets   b_doubtful_ratio      blr_firmrisk      broa_firmrisk       bln_firmrisk      bdr_firmrisk      bcb_firmrisk     bsb_firmrisk       ir_blr       ir_broa       ir_bln        ir_bdr      ir_bcb     ir_bsb        ir_blr_fr         ir_broa_fr       ir_bln_fr       ir_bdr_fr     ir_bcb_fr     ir_bsb_fr {;
  replace z_`x'=`x'*kernel;
};
qui forvalues x=1/155{;
  replace z_cod_enti_`x'=cod_enti_`x'*kernel;
};
qui reg z_ln_credit z_ir_fr_bof   z_irsus_bof_fr z_b_own_funds_ratio   z_ir_bof z_irsus_bof   z_bof_firmrisk   z_gdp_bof    z_gdp_bof_firmrisk   z_cpi_bof   z_cpi_bof_fr   z_b_liquidity_ratio   z_b_roa   z_b_ln_assets   z_b_doubtful_ratio      z_blr_firmrisk      z_broa_firmrisk       z_bln_firmrisk      z_bdr_firmrisk      z_bcb_firmrisk     z_bsb_firmrisk       z_ir_blr       z_ir_broa       z_ir_bln        z_ir_bdr      z_ir_bcb     z_ir_bsb        z_ir_blr_fr         z_ir_broa_fr       z_ir_bln_fr       z_ir_bdr_fr     z_ir_bcb_fr     z_ir_bsb_fr z_cod_enti_2-z_cod_enti_155;
matrix b2=e(b)';
matrix B=(b1-b2*.02922517)/(1-(.02922517));
mata: B=st_matrix("B");
mata: t=B:/SE;
mata: pvalue=2:*(1:-normal(abs(t)));
mata: z=invnormal(.05/2);
mata: cii=B:+z:*SE;
mata: cis=B:-z:*SE;
mata: st_matrix("t",t);
mata: st_matrix("pvalue",pvalue);
matrix table= (B, SE,t,pvalue);
matrix C= table[1..30,.];
matrix list C;
	*COLUMN 6**;	
use english_T2_C5_SS.dta, clear; 
gen kernel=sqrt(abs(normalden(Y_beta1/.05619566))/((t-1)*.05619566));
qui foreach x in ln_credit ir_fr_bof deficit_bof_fr deficit_bof b_own_funds_ratio   ir_bof   bof_firmrisk   gdp_bof    gdp_bof_firmrisk   cpi_bof   cpi_bof_fr   b_liquidity_ratio   b_roa   b_ln_assets   b_doubtful_ratio      blr_firmrisk      broa_firmrisk       bln_firmrisk      bdr_firmrisk      bcb_firmrisk     bsb_firmrisk       ir_blr       ir_broa       ir_bln        ir_bdr      ir_bcb     ir_bsb        ir_blr_fr         ir_broa_fr       ir_bln_fr       ir_bdr_fr     ir_bcb_fr     ir_bsb_fr{;
  gen z_`x'=`x'*kernel;
};
qui forvalues x=1/155{;
  gen z_cod_enti_`x'=cod_enti_`x'*kernel;
};
qui cgmreg z_ln_credit z_ir_fr_bof z_deficit_bof_fr z_deficit_bof z_b_own_funds_ratio   z_ir_bof   z_bof_firmrisk   z_gdp_bof    z_gdp_bof_firmrisk   z_cpi_bof   z_cpi_bof_fr   z_b_liquidity_ratio   z_b_roa   z_b_ln_assets   z_b_doubtful_ratio      z_blr_firmrisk      z_broa_firmrisk       z_bln_firmrisk      z_bdr_firmrisk      z_bcb_firmrisk     z_bsb_firmrisk       z_ir_blr       z_ir_broa       z_ir_bln        z_ir_bdr      z_ir_bcb     z_ir_bsb        z_ir_blr_fr         z_ir_broa_fr       z_ir_bln_fr       z_ir_bdr_fr     z_ir_bcb_fr     z_ir_bsb_fr z_cod_enti_2-z_cod_enti_155, cluster(id_firm id_bank id_month);
matrix b1=e(b)';
matrix V=e(V);
mata: VV=st_matrix("V");
mata: SE=diagonal (VV):^.5;
mata: st_matrix("SE",SE);
replace kernel=sqrt(abs(normalden(Y_beta1/.32871859))/((t-1)*.32871859));
qui foreach x in ln_credit ir_fr_bof deficit_bof_fr deficit_bof b_own_funds_ratio   ir_bof   bof_firmrisk   gdp_bof    gdp_bof_firmrisk   cpi_bof   cpi_bof_fr   b_liquidity_ratio   b_roa   b_ln_assets   b_doubtful_ratio      blr_firmrisk      broa_firmrisk       bln_firmrisk      bdr_firmrisk      bcb_firmrisk     bsb_firmrisk       ir_blr       ir_broa       ir_bln        ir_bdr      ir_bcb     ir_bsb        ir_blr_fr         ir_broa_fr       ir_bln_fr       ir_bdr_fr     ir_bcb_fr     ir_bsb_fr{;
  replace z_`x'=`x'*kernel;
};
qui forvalues x=1/155{;
  replace z_cod_enti_`x'=cod_enti_`x'*kernel;
};
qui reg z_ln_credit z_ir_fr_bof z_deficit_bof_fr z_deficit_bof z_b_own_funds_ratio   z_ir_bof   z_bof_firmrisk   z_gdp_bof    z_gdp_bof_firmrisk   z_cpi_bof   z_cpi_bof_fr   z_b_liquidity_ratio   z_b_roa   z_b_ln_assets   z_b_doubtful_ratio      z_blr_firmrisk      z_broa_firmrisk       z_bln_firmrisk      z_bdr_firmrisk      z_bcb_firmrisk     z_bsb_firmrisk       z_ir_blr       z_ir_broa       z_ir_bln        z_ir_bdr      z_ir_bcb     z_ir_bsb        z_ir_blr_fr         z_ir_broa_fr       z_ir_bln_fr       z_ir_bdr_fr     z_ir_bcb_fr     z_ir_bsb_fr z_cod_enti_2-z_cod_enti_155;
matrix b2=e(b)';
matrix B=(b1-b2*.02922517)/(1-(.02922517));
mata: B=st_matrix("B");
mata: t=B:/SE;
mata: pvalue=2:*(1:-normal(abs(t)));
mata: z=invnormal(.05/2);
mata: cii=B:+z:*SE;
mata: cis=B:-z:*SE;
mata: st_matrix("t",t);
mata: st_matrix("pvalue",pvalue);
matrix table= (B, SE,t,pvalue);
matrix C= table[1..10,.];
matrix list C;	
	*COLUMN 7**;
use english_T2_C7_SS.dta, clear; 
qui  foreach y in  ln_credit ir_fr_bof   b_own_funds_ratio   ir_bof   bof_firmrisk   gdp_bof    gdp_bof_firmrisk   cpi_bof   cpi_bof_fr   b_liquidity_ratio   b_roa   b_ln_assets   b_doubtful_ratio      blr_firmrisk      broa_firmrisk       bln_firmrisk      bdr_firmrisk      bcb_firmrisk     bsb_firmrisk       ir_blr       ir_broa       ir_bln        ir_bdr      ir_bcb     ir_bsb        ir_blr_fr         ir_broa_fr       ir_bln_fr       ir_bdr_fr     ir_bcb_fr     ir_bsb_fr{;
  egen m_`y'=mean(`y')  , by(id_firm_month);
  gen u=1;
  egen m2_`y'=mean(`y') , by(u);
  replace `y'=`y'-m_`y'+m2_`y' ;
  drop u m2_* m_*;
};
qui  forvalues y=1/155{;
  egen m_cod_enti_`y'=mean(cod_enti_`y') , by(id_firm_month);
  gen u=1;
  egen m2_cod_enti_`y'=mean(cod_enti_`y'), by(u);
  replace cod_enti_`y'=cod_enti_`y'-m_cod_enti_`y'+m2_cod_enti_`y';
  drop u m2_* m_*;
};
xi: cgmreg  ln_credit  ir_fr_bof   b_own_funds_ratio   ir_bof   bof_firmrisk   gdp_bof    gdp_bof_firmrisk   cpi_bof   cpi_bof_fr   b_liquidity_ratio   b_roa   b_ln_assets   b_doubtful_ratio      blr_firmrisk      broa_firmrisk       bln_firmrisk      bdr_firmrisk      bcb_firmrisk     bsb_firmrisk       ir_blr       ir_broa       ir_bln        ir_bdr      ir_bcb     ir_bsb        ir_blr_fr         ir_broa_fr       ir_bln_fr       ir_bdr_fr     ir_bcb_fr     ir_bsb_fr cod_enti_2-cod_enti_155, cluster(id_firm id_bank id_month);	
***************************************************************************;
********************************************************************TABLE A4 & TABLE A5;
***************************************************************************;
use TA4A5.dta, clear;
  *TABLE A4**;	  
tabstat dln_credit ldln_credit ir b_own_funds_ratio b_own_funds_ratio firm_risk, stat(n mean min p25 median p75 max sd) nosep c(s);
  *TABLE A5**;	  
	*COLUMN 1**;
reg3hdfe dln_credit ir_fr_bof  , id1(id_firm_month) id2(id_bank_month) id3(id_firm_bank) cluster(id_firm) rest(136297) tol(0.00001); 
	*COLUMN 2**;
reg3hdfe dln_credit ldln_credit ir_fr_bof, id1(id_firm_month) id2(id_bank_month) id3(id_firm_bank) cluster(id_firm) rest(136297) tol(0.00001); 
	*COLUMN 3**;
reg3hdfe dln_credit ldln_credit ir_fr_bof  gdp_bof_firmrisk cpi_bof_fr , id1(id_firm_month) id2(id_bank_month) id3(id_firm_bank) cluster(id_firm) rest(136297) tol(0.00001); 
	*COLUMN 4**;	  
reg3hdfe dln_credit ldln_credit ir_fr_bof gdp_bof_firmrisk cpi_bof_fr ir_blr_fr ir_broa_fr ir_bln_fr ir_bdr_fr ir_bcb_fr ir_bsb_fr, id1(id_firm_month) id2(id_bank_month) id3(id_firm_bank) cluster(id_firm) rest(136297) tol(0.00001); 
***************************************************************************;
********************************************************************FIGURE 1;
***************************************************************************;
use figure_1.dta, clear;
table year capital_risk, c(mean demeaning_granting);
table year_quarter capital_risk, c(mean demeaning_granting_q);
***************************************************************************;
********************************************************************FIGURE 2;
***************************************************************************;
use figure_2.dta, clear;
table year capital_risk, c(mean demeaning_credit);
table year_quarter capital_risk, c(mean demeaning_credit_q);

